#ifdef __GNUC__
#pragma implementation
#endif

#include "OutputStream.h"
#include "Process.h"
#include "ProcessStar.h"
#include "Assert.h"
#include "String.h"
#include "NameServer.h"
#include "DistributedNameServer.h"
#include "MessagePort.h"
#include "Message.h"
#include "ThisProcess.h"
#include "FreeRunningTimer.h"
#include "FreeRunningTimerStar.h"

clientProcess( int, char ** )
{
    StandardOutput->formattedWrite ("in client\n");
    StandardOutput->flush();
   DistributedNameServer *StandardDistributedNameServer = (DistributedNameServer *)(ProxiableObject *)StandardNameServer-> lookup("StandardDistributedNameServer", "DistributedNameServer");

    MessagePort *myServer = StandardDistributedNameServer -> lookup ("Server", "MessagePort");
    Assert (myServer != 0);
    StandardOutput->formattedWrite ("Sending to port %x\n",myServer);
    StandardOutput->flush();
    
    StandardOutput->formattedWrite ("clientProcess::Lookup successful\n");
    StandardOutput->flush();

StandardOutput->formattedWrite (" clients message port for  receiving messages \n");

    char programName [] = "MessagePassingDemo";
    Message msg;
    msg.setDestination (myServer);
    msg.setSize (strlen (programName) + 1);
    msg.setData (programName);
    StandardOutput->formattedWrite ("About to send message\n");
    StandardOutput->flush();
    msg.send ();

}


int
main(int, char **) {
	ProcessStar p = new ApplicationProcess (clientProcess);
        Assert( p != 0);
        p->setName( "#clientProcess");
        p->ready();
}

