#ifdef __GNUC__
#pragma implementation
#endif

#include "SystemInterface.h"
#include "Process.h"
#include "ProcessStar.h"
#include "NameServer.h"
#include "ClassStar.h"
#include "OutputStream.h"
#include "Assert.h"
#include "String.h"
#include "DistributedNameServer.h"
#include "MessagePort.h"
#include "Message.h"
#include "String.h"


serverProcess(int, char **)
{
	StandardOutput->formattedWrite(" Starting server\n");
	StandardOutput->flush();

   DistributedNameServer *StandardDistributedNameServer =
           (DistributedNameServer *)(ProxiableObject *)StandardNameServer-> lookup("StandardDistributedNameServer", "DistributedNameServer");


	ReceiverMessagePort *mport = new ReceiverMessagePort ("Server");
	StandardOutput->flush();

	char * buf = new char[1024];

	RPCMessage msg(buf,1024,0);
	msg.setReceivePort(mport);

	StandardOutput->formattedWrite("serverProcess -- wait for a message\n");
	StandardOutput->flush();

        msg.setUserData(buf,1024);
        msg.rpcReceive();
 Console() << " Executing " << (char *) msg.data() <<
            "\n" << "of size " << msg.size() 
	<< "\n type " << msg.getType() << eor;

 	char replyMsg [] = "thanks";
	strcpy(buf,"thanks");
	msg.setUserData(buf,strlen(replyMsg) +1);
 Console() << " Server:New Message " 
	<< (char *) msg.data() <<
            "\n" << "of size " << msg.size() 
	<< "\ntype " << msg.getType() << eor;
     
	msg.reply();

    	return 0;

}



int
main(int, char **) {
	ProcessStar p = new ApplicationProcess(serverProcess);
        Assert( p != 0);
        p->setName( "#serverProcess");
        p->ready();
}
