#ifdef __GNUC__
#pragma implementation
#endif

#include "SystemInterface.h"
#include "FileSystemInterface.h"
#include "FileSystemInterfaceStar.h"
//#include "StoredObject.h"
//#include "StoredObjectStar.h"
#include "PersistentMemoryObjectStar.h"
#include "NameServer.h"
#include "Process.h"
#include "ProcessStar.h"
#include "ThisProcess.h"
#include "ClassStar.h"
#include "OutputStream.h"
#include "Assert.h"
#include "String.h"
#include "DistributedNameServer.h"
#include "MessagePort.h"
#include "Message.h"
#include "String.h"

int handleRequest (int argc, char *argv []);
char *makeName (int id);


serverProcess(int, char **)
{
	StandardOutput->formattedWrite(" Starting server\n");
	StandardOutput->flush();

   DistributedNameServer *StandardDistributedNameServer =
           (DistributedNameServer *)(ProxiableObject *)StandardNameServer-> lookup("StandardDistributedNameServer", "DistributedNameServer");

	ReceiverMessagePort *mport = new ReceiverMessagePort ("Server");
	StandardOutput->formattedWrite(" server local message port %x\n", mport);
	StandardOutput->flush();

	char * buf = new char[1024];

	Message msg(buf,1024,0);
	msg.setReceivePort(mport);

	StandardOutput->formattedWrite("serverProcess -- wait for a message\n");
	StandardOutput->flush();

        msg.setUserData(buf,1024);
        msg.receive();
 Console() << " \n Executing " << (char *) msg.data() <<
            "...\n" << "of size " << msg.size() << eor;

    return 0;

}


char *makeName (int id)
{
    //  Return a string of the form "ApplicationXXXX", where XXXX is the
    //  hexadecimal representation of id.
    const char hexDigit [] = "0123456789abcdef";
    char idStr [5];
    idStr [4] = 0;

    idStr [3] = hexDigit [id % 16];  id = id / 16;
    idStr [2] = hexDigit [id % 16];  id = id / 16;
    idStr [1] = hexDigit [id % 16];  id = id / 16;
    idStr [0] = hexDigit [id % 16];
    char name [100];
    strcpy (name, "Application");
    strcat (name, idStr);
    char *nameCopy = new char [strlen (name) + 1];
    strcpy (nameCopy, name);
    return nameCopy;
}

int
main(int, char **) {
//        Process *p = new SystemProcess( (PFV) serverProcess,
 //               thisProcess()->domain(), large, 0);
	ProcessStar p = new ApplicationProcess(serverProcess);
        Assert( p != 0);
        p->setName( "#serverProcess");
        p->ready();
//        thisProcess()->relinquishProcessor();
}
