#ifdef __GNUC__
#pragma implementation
#endif

void f( int type, void * p, unsigned int value);
#include "AssocTable.h"
#include "GPInclude.h"
#include "Utils.h"
#ifdef __GNUG__
#include "Stdio.h"
#else
extern "C" {
    int atoi(const char *);
}
#endif

void
f( int type, void * p, unsigned int value)
{
    switch(type) {
      case 1:
	Console() << (int)p << " " << value << " " << eor;
	break;
      case 2:
	Console() << "%s " << (char *)p << " " << value << " " << eor;
	break;
      case 3:
	Console() << "0x" << (unsigned)p << " " << value << " " << eor;
	break;
      default:
	Console() << "Unknown type\n" << eor;
    }
}


main()
{
    extern void f(int, void*, unsigned int);

//     AssocTable* p = new AssocTable(3,f);
//     AssocTable&  t = *p;
    AssocTable t(3,f);

    int mode = 0;
    char arg1[80];
    
    
    forever {
	
	int rval = 0;
	char cmd = '?';
	unsigned int arg2 = 0;
	unsigned int value = 0;
	
	char * tmp = GetCmd();
	if (tmp)
	    sscanf(tmp,"%c%s%i",&cmd,&arg1[0],&arg2);
	else
	    continue;
	
	Console() << cmd << " " << arg1 << " " << arg2 << "\n" << eor;
	
	if (cmd == 'm') {
	    mode = ~mode;
	    continue;
	}
	
	if (mode)
	    switch(cmd) {
	      case 'i': 
		t.bind(atoi(arg1),arg2);
		break;
	      case 'r':
		rval = t.unbind(atoi(arg1),value);
		break;
	      case 's':
		rval = t.unbind(atoi(arg1),value,arg2);
		break;
	      case 'f':
		rval = t.lookup(atoi(arg1),value);
		break;
	      case 'g':
		rval = t.lookup(atoi(arg1),value,arg2);
		break;
	      case 'p':
		t.inspect();
		break;
	      case 'x':
// 		delete p;
		return 0;
	      default:
		Console() << "Unknown switch\n";
		break;
	    }
	else
	    switch(cmd) {
	      case 'i': 
		t.bind(arg1,arg2);
		break;
	      case 'r':
		rval = t.unbind(arg1,value);
		break;
	      case 's':
		rval = t.unbind(arg1,value,arg2);
		break;
	      case 'f':
		rval = t.lookup(arg1,value);
		break;
	      case 'g':
		rval = t.lookup(arg1,value,arg2);
		break;
	      case 'p':
		t.inspect();
		break;
	      case 'x':
// 		delete p;
		return 0;
	      default:
		Console() << "Unknown switch\n";
		break;
	    }
	Console() << "Operation " << cmd << " value "
	    << value << " ret " << (unsigned int)rval << "\n" << eor;
    }
}
