#ifdef __GNUC__
#pragma implementation
#endif

#include "List.h"
#include "LinkIterator.h"
#include "GPInclude.h"
#include "Utils.h"
#ifdef __GNUG__
#include "Stdio.h"
#endif

class mylink : public Link {
    int _item;
  public:
    mylink(int i) { _item = i; };
    ~mylink() { Console() << "mylink destroyed " << _item << "\n" << eor;};
    int item() { return _item; };
    void setItem(int i) { _item = i; };
    int compare ( Link * l ) { return _item == ((mylink*)l)->_item; };
    void inspect() { Console() << _item << " " << eor; };
};

void
f( Link * l)
{
    Console() << ((mylink*)l)->item()*2 << " " << eor;
}


main()
{
    HintList t;
    LinkIterator it;
    
    forever {
	
	int rval = 0;
	char cmd = '?';
	unsigned int arg1 = 0;
	unsigned int arg2 = 0;
	
	char * tmp = GetCmd();
	if (tmp)
	    sscanf(tmp,"%c%i%i",&cmd,&arg1,&arg2);
	else
	    continue;
	
	Console() << cmd << " " << arg1 << " " << arg2 << "\n" << eor;
	
	mylink * rptr;
	
	switch(cmd) {
	  case 'i':
	{
	    mylink * m = new mylink((int)arg1);
	    t.addFirst(m);
	}
	    break;
      case 'r':
    {
	mylink n((int)arg1);
	rptr = (mylink *)t.remove(&n);
	if (rptr)
	    rval = rptr->item();
	else
	    Console() << "Error return 0\n" << eor;
    }
	break;
      case 's':
	it.reset(t.theLink());
	break;
      case 'w':
	it.rewind();
	break;
      case 'p':
    {
	Link * l;
	while (l = it.next())
	    ((mylink *)l)->inspect();
	Console() << "\n" << eor;
    }
	break;
      case 'x':
	return 0;
      default:
	Console() << "Unknown switch" << "\n" << eor;
	break;
    }
	Console() << "Operation " << cmd << " value "
	    << (unsigned int)rval << "\n" << eor;
    }
}






































































