/**********************************************************************
$Id: water.h 2 2004-06-03 01:58:28Z jcarlyle $

$Source: /projects/choices/old/cvsroot/choices/Applications/Water/water.h,v $

$Log: water.h,v $
Revision 1.1  2004/06/03 01:58:30  jcarlyle
Initial revision

Revision 2.1  1992/06/03  19:54:10  zhang
Ansified version, initial checkin


Main header file for WATER.
**********************************************************************/

#ifdef CHOICES
#include "stdio.h"
#else
#include <stdio.h>
#endif

extern double OMAS,HMAS,WTMOL,ROH,ANGLE,FHM,FOM,ROHI,ROHI2;
extern int NATOMS;
#define max(a,b) ( (a) < (b) ) ? b : a
#define min(a,b) ( (a) > (b) ) ? b : a
#define ONE ((double) 1)
#define TWO ((double) 2)
#define FIVE ((double) 5)


/*
Prototypes for WATER functions.
*/

extern void
BNDRY(void);

extern void 
CNSTNT(int N, double *C);

extern void
CSHIFT(double XA[], double XB[], double XMA, double XMB, double XL[],
       double BOXH, double BOXL);

extern void
INITIA(FILE *nfmc);

extern void
INTERF(int DEST, double *VIR);

extern void
INTRAF(double *VIR);

extern void
KINETI(int NMOL, double SUM[], double HMAS, double OMAS);

extern void
POTENG(double *POTA, double *POTR, double *PTRF);

extern void 
PREDIC(double C[], int NOR1);

extern void
CORREC(double PCC[], int NOR1);

extern double
MDMAIN(int NFSV, int NFRST, int NSTEP, int NRST, int NPRINT, int NSAVE,
       int LKT, int NORD1);

extern void
SYSCNS(void);
