#define DEBUGBSD

#define DEBUGBSD_ERROR 0x01
#define DEBUGBSD_WARNING 0x02
#define DEBUGBSD_LE 0x04
#define DEBUGBSD_IP 0x08
#define DEBUGBSD_UDP 0x10
#define DEBUGBSD_TCP 0x20
#define DEBUGBSD_SOCKET 0x40

#ifdef DEBUGBSD
extern int debugBSD;
#define dprintf(x) if (debugBSD & x) printf
#else
#define dprintf(x) if (0) printf
#endif
