#ifdef __GNUC__
#pragma implementation
#endif

#include "Message.h"
#include "MessageList.h"
#include "Byte.h"
#include "OutputStream.h"
#include "MLink.h"
#include "IteratingList.h"

#ifdef __GNUC__
#pragma implementation
#endif

MessageList::MessageList()
{
localList = new IteratingList;
msgs = 0;
}

MessageList::~MessageList() {}

int 
MessageList::isEmpty()
{
return ((msgs == 0)  ? 1 : 0 );
}
int 
MessageList::number()
{
return msgs;
}
void 
MessageList :: add (Message *msg )
{
        MLink* lk = new MLink(msg);
        localList->addFirst(lk);
	msgs++;
}

Message*
MessageList:: remove()
{

        MLink *rptr = (MLink*) localList->removeFirst();
	msgs--;
        Message* m =  rptr->msg();
	delete rptr;
	return m;
}

Message*
MessageList:: remove(Message *msg )
{
        MLink lk = MLink(msg);

        MLink *rptr = (MLink*) localList->remove(&lk);
	msgs--;
	Message* m =  rptr->msg();
        delete rptr;
	return m;
}

void
MessageList:: reset()
{
        localList->rewind();
}

Message*
MessageList:: nextMessage()
{
        MLink* pg = (MLink*) localList->next();
        if(pg) return pg->msg();
        else return (Message*)0;
}

/*
#include "ClassInstaller.h"
DEFINECLASS("Message",Message,0,0, 0);
DEFINECLASS("RPCMessage",RPCMessage,Message,0,0);
*/
