#
# This file is part of the Choices Operating System
# Developed by: The TAPESTRY Parallel Computing Laboratory
#		 University of Illinois at Urbana-Champaign
#		 Department of Computer Science
#		 1304 W. Springfield Ave.
#		 Urbana, IL	61801
#
# Copyright (c) 1987, 1988, 1989 The University of Illinois Board of Trustees.
#	All Rights Reserved.
# CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
#
# Author: David W. Dykstra (dykstra@cs.uiuc.edu)
# Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
#
# Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
#   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
#
#
# makefile for the GeneralPurpose library
# This should not be invoked directly, but included in other makefiles.
#
#	$Header: /projects/choices/old/cvsroot/choices/Configure/Libraries/LLVAExecutionEngine/LLVAExecutionEngine.mk,v 1.1 2004/08/18 08:02:10 jcarlyle Exp $

ifndef TOP
ifdef CHOICESNODE
TOP = $(CHOICESNODE)
else
TOP = ../../../../
endif
endif

FINALTARGET = libllvaee.a

all: $(FINALTARGET)

EXTRADEFINES = -DGPLIBS -DCHOICES -DASSERT

SRCDIR = $(TOP)/Libraries/LLVAExecutionEngine
INCDIR = $(TOP)/Includes/Libraries/LLVAExecutionEngine

EXTRAVPATH = $(SRCDIR)/$(ARCH) $(SRCDIR)/Portable 
EXTRAHVPATH = $(INCDIR)/$(ARCH) \
	      $(TOP)/Includes/ProcessorDependent/VChoices/llva \
	      $(TOP)/Includes \
	      $(TOP)/Includes/MachineDependent/VChoices

#
# List all includes in the $(INCDIR) directory here
#
PUBINCLUDES = 

#
# List all sources in the $(SRCDIR)/Portable directory here
#
PORTSOURCES = 

SOURCES = $(PORTSOURCES) $(EXTRASOURCES)

include ../../LibrariesCommon.mk

#
# Make up the library from all the other objects
#
$(FINALTARGET): $(OBJECTS)
	$(RM) $(FINALTARGET)
	$(AR) cr $(FINALTARGET) $(OBJECTS)
ifdef RANLIB
	$(RANLIB) $(FINALTARGET)
endif
