#
# This file is part of the Choices Operating System
# Developed by: The TAPESTRY Parallel Computing Laboratory
#		 University of Illinois at Urbana-Champaign
#		 Department of Computer Science
#		 1304 W. Springfield Ave.
#		 Urbana, IL	61801
#
# Copyright (c) 1987, 1988, 1989, 1990, 1991
# The University of Illinois Board of Trustees.
#	All Rights Reserved.
# CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
#
# Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
#
# Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
#   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
ifdef Loaders

LOADERSHVPATH = \
	$(TOP)/Includes/Loaders

LOADERSCCVPATH = \
	$(TOP)/Loaders

LOADERINCLUDES = \
 	ObjectFile.h \
 	Symbols.h \
 	RelocationTable.h \
 	Relocator.h \
 	Loader.h \
	RelocatingLoader.h \
	ExecutableLoader.h \
 	LinkingLoader.h \
 	TableInFile.h \
 	Table.h \
 	SectionBlock.h 

LOADERSOURCES = \
 	RelocationTable.cc \
 	Relocator.cc \
 	Loader.cc \
 	RelocatingLoader.cc \
 	Table.cc \
	DelegateToTable.cc \
 	GrowingTable.cc \
 	ArrayTable.cc \
	ArrayInFileTable.cc \
 	PointerArrayTable.cc \
	LinkListTable.cc \
 	SectionList.cc \
	MemoryProvider.cc \
 	ObjectFile.cc \
 	SectionBlock.cc \
 	Symbols.cc \
 	ExecutableLoader.cc \
 	LinkingLoader.cc \
	BSDObjectFile.cc \
	SparcRelocator.cc \
	BSDRelocationTable.cc \
	BSDSectionBlock.cc \
	BSDSymbols.cc

endif
