#
# This file is part of the Choices Operating System
# Developed by: The TAPESTRY Parallel Computing Laboratory
#		 University of Illinois at Urbana-Champaign
#		 Department of Computer Science
#		 1304 W. Springfield Ave.
#		 Urbana, IL	61801
#
# Copyright (c) 1987, 1988, 1989 The University of Illinois Board of Trustees.
#	All Rights Reserved.
# CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
#
# Author: David W. Dykstra (dykstra@cs.uiuc.edu)
# Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
#
# Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
#   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
#
#
# This should not be invoked directly, but included in other makefiles.
#
#	$Header: /projects/choices/old/cvsroot/choices/Configure/Tools/Misc/MiscCommon.mk,v 1.1 2004/06/03 01:58:33 jcarlyle Exp $

all: doall

SRCDIR = $(TOP)/Tools/Misc

EXTRADEFINES = -DASSERT
EXTRAHVPATH = $(SRCDIR)
EXTRAVPATH = $(SRCDIR)

INCLUDES =
SOURCES = Constcollect.sh remote

include ../../ToolsCommon.mk

OBJECTS = $(subst .sh,,$(subst .cc,,$(SOURCES)))

doall: $(OBJECTS)

clobber: clobbertools
clobbertools:
	$(RM) $(OBJECTS)
