UNIXPROG = replay
UNIXDIR = $(TOP)/UnixApplications/logtools

SOURCES = symtable.c request.c fields.c replay.c

all: $(UNIXPROG)

UNIXHVPATH = $(UNIXDIR)
UNIXVPATH = $(UNIXDIR)

include ../../UnixApplicationsCommon.mk

replay : $(OBJECTS) $(STARTS) $(EXTRAOBJECTS) $(LIBS) 
ifndef NODEPENDENCIES
	@if [ ! -w D/$*.dep ]; then \
	    echo "Breaking the link on D/$*.dep"; \
	    cp D/$*.dep .; \
	    $(RM) D/$*.dep; \
	    cat $*.dep >D/$*.dep; \
	    $(RM) $*.dep; \
	else : ; \
	fi
	@echo "$@: $(STARTS) $(EXTRAOBJECTS) $(LIBS)" >>D/$*.dep
ifdef COLLECT
	@echo "Collecting $*.o"; \
	$(RM) _$@_ctdt.[cso]; \
	$(COLLECT) -o _$@_ctdt.s $(OBJECTS) $(LIBS); \
	touch _$@_ctdt.s; \
	$(AS) -o _$@_ctdt.o _$@_ctdt.s
	@echo "Linking $@"; \
	$(RM) $@; \
	$(LD) -o $@ $(LDFLAGS) $(STARTS) $(OBJECTS) _$@_ctdt.o $(EXTRAOBJECTS) $(LIBS)
	@$(RM) _$@_ctdt.[cso]
else
	@echo "Linking $@"; \
	$(LD) -o $@ $(LDFLAGS) $(EXTRALDFLAGS) $(STARTS) $(OBJECTS) $(EXTRAOBJECTS) $(LIBS)
endif
endif


