#ifdef __GNUC__
#pragma implementation
#endif

#include "DistributedNameServer.h"
#include "ContainerRepresentative.h"
#include "MessageContainer.h"
#include "Message.h"
#include "Domain.h"
#include "Process.h"
#include "ThisProcess.h"
#include "Semaphore.h"
#include "Transport.h"
#include "LocalTransport.h"
#include "Address.h"
#include "FreeRunningTimer.h"
#include "FreeRunningTimerStar.h"
#include "String.h"

#ifdef __GNUC__
#pragma implementation
#endif

extern Transport *NetTransport ;
extern Address *LocalAddress ;

// #define CR_DEBUG 1

// for port groups
ContainerRepresentative :: ContainerRepresentative (char *string)
{
	//transport = NetTransport;
} 

// for sending remotely 

ContainerRepresentative :: ContainerRepresentative (Address *addr, Transport *trans)
{
    if(addr == 0) location = LocalAddress; // machine address
    else location = addr;

    if(trans)
    	transport = trans; // how to get theree
     else {
        transport =  StandardNameServer->lookup("LocalTransport",BufferedTransportClass);
        Assert(transport !=0)(" local transport not found in the distributed name server") ;
     }
    domain = 0; // owning domain

#ifdef MP_DEBUG
	Console() << " MP Done " << eor;
#endif
}

void
ContainerRepresentative::setName(char* string) 
{
    name = new char[strlen(string)+1];
    (void)strcpy(name,string);
	ProxiableObject::setName(string);
}

char*
ContainerRepresentative::getName()
{
	return name;
}

void
ContainerRepresentative::setAddress(Address *addr)
{
 location = addr;
}

Address*
ContainerRepresentative::getAddress() {
	return location;
}
void
ContainerRepresentative::send (Message *msg)
{
  //Console() << "UniRepresentative :: send" << eor;
#ifdef MP_DEBUG
#endif
        Assert(transport != 0)("No transport for this UniRepresentative");
// put in the right proxy in the destination field.
        Assert( msg != 0);
        msg -> setDestination ( this) ;
        transport -> send (msg);
}


#include "ClassInstaller.h"
DEFINECLASS("ContainerRepresentative",ContainerRepresentative,ProxiableObject,0,0);
