#ifdef __GNUC__
#pragma implementation
#endif

#include "DistributedNameServer.h"
#include "UniRepresentative.h"
#include "Message.h"
#include "Transport.h"
#include "Address.h"
#include "String.h"

#ifdef __GNUC__
#pragma implementation
#endif

extern Transport *NetTransport ;
extern Address *LocalAddress ;

//#define MP_DEBUG 1

// for port groups
UniRepresentative :: UniRepresentative (char *string) : ContainerRepresentative(string)
{
} 

// for sending remotely 

UniRepresentative :: UniRepresentative (Address *addr, Transport *trans, MessageContainer *mc) : ContainerRepresentative(addr,trans)
{
    localMC = (addr == 0);
    theMC = mc; // actual object on machine

}

Container *
UniRepresentative :: remoteContainer ()
{
  Assert(theMC != 0);
  return theMC;
}

Container *
UniRepresentative :: localContainer ()
{
  Assert(theMC !=0);
  return theMC;
}


/*
 * used for RPCs
 */

int 
UniRepresentative :: rpcSend (RPCMessage *msg, MessageContainer *mp)
{
#ifdef MP_DEBUG
Console() << "UniRepresentative :: rpcSend \n" << eor; 
#endif
    	Assert(transport != 0)("No transport for this UniRepresentative");
// put in the right proxy in the destination field.
    	msg -> setDestination ( this ) ;
    	msg -> setReplyPort ( mp ) ;

//        int start = SystemTimer->time();
    	transport -> send (msg);
 //       int end = SystemTimer->time();
//	Console() <<  "send time = %d us\n"<< end - start;
	//Console() << "Now wait " << eor;
    	mp->wait(msg); // wait for the reply.
	//Console() << "Done " << eor;

	return 0; // fine termination
}

#include "ClassInstaller.h"
DEFINECLASS("UniRepresentative",UniRepresentative,ContainerRepresentative,0,0);
