#ifdef __GNUC__
#pragma implementation
#endif

#include "DumbConduit.h"
#include "AdapterConduit.h"


#ifdef __GNUC__
#pragma implementation
#endif

//***********************************************
//*		AdapterConduit			*
//***********************************************
Return_Code
AdapterConduit::insertFromAbove(int l, octet *s) {
  Assert(NOTREACHED);
  return( Return_Code(0) );
}

Return_Code
AdapterConduit::expandWindow(int count) {
  Assert(NOTREACHED);
  return( Return_Code(0) );
}

Return_Code
AdapterConduit::connectFromAbove( DumbConduit * c ) {
  Assert(NOTREACHED);
  return( Return_Code(0) );
}


//***********************************************
//*		TCPAdapterConduit		*
//***********************************************

Return_Code
TCPAdapterConduit::insertFromAbove(int l, octet *s) {
  TCPMessage *msg = new TCPMessage(20,0,20,0,0);
  msg->setData(l, s);
  Return_Code ret = thingBelowMe->insertFromAbove(msg, &mysession);
  return( ret );
}

Return_Code
TCPAdapterConduit::insertFromBelow(ConduitMessage * msg) {
  return(thingAboveMe->insertFromBelow( msg ));
}

Return_Code
TCPAdapterConduit::connectTo ( TCPConduit * c ) {
  thingBelowMe = c;
  c->connectFromAbove(this, Undefined );		// Undefined protocol
  return( OK );
}

Return_Code
TCPAdapterConduit::connectFromAbove( DumbConduit * c ) {
  thingAboveMe = c;
  return( OK );
}

Return_Code
TCPAdapterConduit::expandWindow(int count) {
  return( thingBelowMe->expandWindow(mysession, count) );
}

Return_Code
TCPAdapterConduit::connectFromBelow(Conduit *c,
				     ProtocolID proto,
				     int his_handy,
				     int & my_handy )
{
  return(OK);
}

TCPAddress
*TCPAdapterConduit::session() {
  return(&mysession);
}

void
TCPAdapterConduit::setSession ( TCPAddress & newsession ) {
  mysession = newsession;
}

Return_Code
TCPAdapterConduit::connectTo ( Conduit * c ) {
  Assert(NOTREACHED);
  return( Return_Code(0)  );
}
