/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright 1987-2006 The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Author: Vincent F. Russo (russo@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
/*
 *	$Header: /home/projects/cvsroot/choices/Includes/ConfigurationFiles/OMAP/TIMESLICE_TIMER.h,v 1.1.1.1 2004/10/28 22:48:00 boris Exp $
 */

#ifndef TIMESLICE_TIMER_H
#define TIMESLICE_TIMER_H


#ifdef __GNUC__
#pragma interface
#endif

#include "GenericARMTimesliceTimer.h"

#define TIMESLICETIMER		GenericARMTimesliceTimer
#define MACHINEFREERUNNINGTIMERINTERRUPT OMAPFreeRunningTimerInterrupt

#endif
