/**********************
*Example of using the *
*HelloWorldDevice and *
*LKMAdaptor together  *
*to define the use of *
*a loadable kernel mod*
*as the implementaiton*
*of a Choices device  *
*interface            *
***********************/
//SCOTT KIRCHER

#ifndef __HELLOWORLDLKM_H__
#define __HELLOWORLDLKM_H__

#include "HelloWorldDevice.h"
#include "LKMAdaptor.h"

//use multiple inheritance to derive from both base classes
class HelloWorldLKM : public HelloWorldDevice, protected LKMAdaptor
{
public:
	//we have to implement the constructor
	HelloWorldLKM(const char *LKMmodulename);

protected:
	//and the helloWorld function
	virtual void helloWorld();
};

//the destructors are taken care of for us, by C++, they will both be called

#endif
