#ifndef _CharacterInputStream_H_
#define _CharacterInputStream_H_
#include "common.h"
#include "InputStream.h"

extern ClassStar CharacterInputStreamClass;
class CharacterInputStream :public InputStream
{
  public:
    CharacterInputStream(ProxiableObject* p) :InputStream((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    virtual int read(char* buffer, int bufSize); // __attribute((always_inline));

    virtual void switchCharacterQueue(int type); // __attribute((always_inline));

    virtual ~CharacterInputStream();
    
  protected:
    
    CharacterInputStream(void* k);
    
};

#endif
