#ifndef _InputStream_H_
#define _InputStream_H_
#include "common.h"
#include "ProxiableObject.h"

extern ClassStar InputStreamClass;
class InputStream :public ProxiableObject
{
  public:
    InputStream(ProxiableObject* p) :ProxiableObject((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    InputStream & operator >>( int & num) { formattedRead("%d",(void *)&num); return( *this); };

    virtual int read(char* buffer, int bufSize); // __attribute((always_inline));

    virtual int formattedRead(char* format, const formatArgs& a1); // __attribute((always_inline));

    virtual int readBackChar(char c); // __attribute((always_inline));

    virtual ~InputStream();
    
  protected:
    
    InputStream(void* k);
    friend class Interface;
    friend class SystemInterface;

};

#endif
