#ifndef _INTERFACE_H_
#define _INTERFACE_H_

class OutputStream;

class InputStream;

class FileSystemInterface;

class SystemInterface;

class NameServer;

class Interface{
public:
  static OutputStream* standardOutput();
  static InputStream* standardInput();
  static FileSystemInterface* fileSystemInterface();
  static SystemInterface* systemInterface();
  static NameServer* nameServer();
};

#endif
