#ifndef _MemoryObjectCache_H_
#define _MemoryObjectCache_H_
#include "common.h"
#include "MemoryRange.h"

extern ClassStar MemoryObjectCacheClass;
class MemoryObjectCache :public MemoryRange
{
  public:
    MemoryObjectCache(ProxiableObject* p) :MemoryRange((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    virtual void setDebugMask(unsigned short mask); // __attribute((always_inline));

    virtual void setDebugMessages(short messages); // __attribute((always_inline));

    virtual ~MemoryObjectCache();
    
  protected:
    
    MemoryObjectCache(void* k);
    friend class VMInterface;

};

#endif
