#ifndef _PersistentArray_H_
#define _PersistentArray_H_
#include "common.h"
class PersistentMemoryObject;
#include "PersistentObject.h"

extern PersistentClassStar PersistentArrayClass;
class PersistentArray :public PersistentObject
{
  public:
    PersistentArray(ProxiableObject* p) :PersistentObject((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    PersistentArray(PersistentMemoryObject* mo); // __attribute((always_inline));

    virtual int at(unsigned int index); // __attribute((always_inline));

    virtual int at(unsigned int index, char* values, unsigned int count); // __attribute((always_inline));

    virtual int at(char* index, int& status); // __attribute((always_inline));

    virtual int atPut(unsigned int index, int value); // __attribute((always_inline));

    virtual int atPut(unsigned int index, char* values, unsigned int count); // __attribute((always_inline));

    virtual int atPut(char* index, int value, int& status); // __attribute((always_inline));

    virtual unsigned int size(); // __attribute((always_inline));

    virtual ~PersistentArray();
    
  protected:
    
    PersistentArray(void* k);
    
};

#endif
