#ifndef _PersistentClass_H_
#define _PersistentClass_H_
#include "common.h"
class Class;
class ClassConstructor;
class MemoryObjectDictionary;
class PersistentObject;
#include "Class.h"

extern ClassStar PersistentClassClass;
class PersistentClass :public Class
{
  public:
    PersistentClass(ProxiableObject* p) :Class((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    PersistentClass(Class* parent, int size, char* name, ClassConstructor* ctor); // __attribute((always_inline));

    virtual MemoryObjectDictionary* rootDictionary(); // __attribute((always_inline));

    virtual PersistentObject* newObject(); // __attribute((always_inline));

    virtual PersistentObject* retrieveObject(int id); // __attribute((always_inline));

    virtual ~PersistentClass();
    
  protected:
    
    PersistentClass(void* k);
    
};

#endif
