#ifndef _Pipe_H_
#define _Pipe_H_
#include "common.h"
#include "ProxiableObject.h"

extern ClassStar PipeClass;
class Pipe :public ProxiableObject
{
  public:
    Pipe(ProxiableObject* p) :ProxiableObject((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    Pipe(int size); // __attribute((always_inline));

    virtual int read(char* buf, int count, int block); // __attribute((always_inline));

    virtual int write(char* buf, int count, int block); // __attribute((always_inline));

    virtual ~Pipe();
    
  protected:
    
    Pipe(void* k);
    
};

#endif
