#ifndef _TimeOfDay_H_
#define _TimeOfDay_H_
#include "common.h"
class SystemTime;
class UnixTime;
#include "ProxiableObject.h"

extern ClassStar TimeOfDayClass;
class TimeOfDay :public ProxiableObject
{
  public:
    TimeOfDay(ProxiableObject* p) :ProxiableObject((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    virtual void getTime(SystemTime& time); // __attribute((always_inline));

    virtual void setTime(SystemTime& time); // __attribute((always_inline));

    virtual void getUnixTime(UnixTime& time); // __attribute((always_inline));

    virtual void setUnixTime(UnixTime& time); // __attribute((always_inline));

    virtual ~TimeOfDay();
    
  protected:
    
    TimeOfDay(void* k);
    
};

#endif
