#ifndef _Timer_H_
#define _Timer_H_
#include "common.h"
#include "ProxiableObject.h"

extern ClassStar TimerClass;
class Timer :public ProxiableObject
{
  public:
    Timer(ProxiableObject* p) :ProxiableObject((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    virtual unsigned int start(unsigned int microseconds); // __attribute((always_inline));

    virtual unsigned int stop(); // __attribute((always_inline));

    virtual unsigned int residual(); // __attribute((always_inline));

    virtual void await(); // __attribute((always_inline));

    virtual ~Timer();
    
  protected:
    
    Timer(void* k);
    
};

#endif
