#ifndef _VMInterface_H_
#define _VMInterface_H_
#include "common.h"
class MemoryObjectCache;
class RecordStream;

extern ClassStar VMInterfaceClass;
class VMInterface 
{
  public:
    virtual Class *classOf();

    virtual void test(char* message); // __attribute((always_inline));

    virtual MemoryObjectCache* createCache(RecordStream* arg1, char* cacheType); // __attribute((always_inline));

    virtual char* addToDomain(RecordStream* arg1, ProtectionLevel p); // __attribute((always_inline));

    virtual void setupCOW(RecordStream* origin, RecordStream* copy); // __attribute((always_inline));

    virtual void networkTest(char* to); // __attribute((always_inline));

    virtual char* openDVM(char* filename); // __attribute((always_inline));

    virtual void closeDVM(char* filename); // __attribute((always_inline));

    virtual char* createSharedRegion(unsigned int size); // __attribute((always_inline));

    virtual ~VMInterface();
    
  protected:
    void *kernelObj;
    VMInterface(void* k);
    
};

#endif
