#ifndef new_h
#define new_h

#include "exception.h"

typedef unsigned int size_t;

class bad_alloc : public exception 
{
  public:
    bad_alloc() throw() { }
    const char* what() const throw();
};

typedef void (*new_handler)();
new_handler set_new_handler(new_handler new_p) throw();

void* operator new(size_t) throw(bad_alloc);
void operator delete(void *) throw();

void* operator new[](size_t) throw(bad_alloc);
void operator delete[](void *) throw();

void* operator new(size_t, void* p) throw();
void operator delete(void*, void*) throw();

void* operator new[](size_t, void* p) throw();
void operator delete[](void *, void *) throw();

#endif
