/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *               University of Illinois at Urbana-Champaign
 *               Department of Computer Science
 *               1304 W. Springfield Ave.
 *               Urbana, IL     61801
 *
 * Copyright (c) 1987-1992
 * The University of Illinois Board of Trustees.
 *      All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

#ifndef Integratordevices_h
#define Integratordevices_h


#ifdef __GNUC__
#pragma interface
#endif


/*
 *
 * contains IO virtual addresses of Integrator devices 
 *
 */

#include "IntegratorConfiguration.h"

/*
 * pre - defined:
 ARM high interrupt vectors 0xffff000
 UART_BASE 0x16000000
 PIC_BASE 0x14000000
 SIC_BASE 0xca000000
 */

#endif /* Integratordevices_h */
