#ifndef OMAPMuxSetup_h
#define OMAPMuxSetup_h

#define FUNC_MUX_CTRL_0 	0xfffe1000
#define FUNC_MUX_CTRL_1 	0xfffe1004
#define FUNC_MUX_CTRL_2 	0xfffe1008
#define FUNC_MUX_CTRL_3 	0xfffe1010
#define FUNC_MUX_CTRL_4 	0xfffe1014
#define FUNC_MUX_CTRL_5 	0xfffe1018
#define FUNC_MUX_CTRL_6 	0xfffe101C
#define FUNC_MUX_CTRL_7 	0xfffe1020
#define FUNC_MUX_CTRL_8 	0xfffe1024
#define FUNC_MUX_CTRL_9 	0xfffe1028
#define FUNC_MUX_CTRL_A 	0xfffe102C
#define FUNC_MUX_CTRL_B 	0xfffe1030
#define FUNC_MUX_CTRL_C 	0xfffe1034
#define FUNC_MUX_CTRL_D 	0xfffe1038

#define PULL_DWN_CTRL_0 	0xfffe1040
#define PULL_DWN_CTRL_1 	0xfffe1044
#define PULL_DWN_CTRL_2 	0xfffe1048
#define PULL_DWN_CTRL_3		0xfffe104c
#define PULL_DWN_CTRL_4 	0xfffe10ac

#define VOLTAGE_CTRL_0		0xfffe1060
#define MOD_CONF_CTRL_0		0xfffe1080
#define COMP_MODE_CTRL_0	0xfffe100c

#define PU_PD_SEL_0		    0xfffe10b4
#define PU_PD_SEL_1		    0xfffe10b8
#define PU_PD_SEL_2		    0xfffe10bc
#define PU_PD_SEL_3		    0xfffe10c0
#define PU_PD_SEL_4		    0xfffe10c4

#define USB_OTG_CTRL		0xfffb040c
#define USB_TRANSCEIVER_CTRL	0xfffe1064

#define SW_CLOCK_REQUEST 	((volatile unsigned short *)0xfffe0834)

extern "C" void OMAPMuxSetup();

#endif /* OMAPMuxSetup */
