#ifndef OMAPSerial_h
#define OMAPSerial_h

/*
 * This file is part of the Choices Operating System
 * Developed by:
 *      The Mobile Operating Systems Group
 *      Department of Computer Science
 *      University of Illinois at Urbana-Champaign
 *      201 N. Goodwin Ave.
 *      Urbana, IL 61801
 *
 * Copyright 1987-2006 University of Illinois Board of Trustees. All rights
 * reserved. 
 *
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 */

/*
 * OMAP/OMAPSerial.h: OMAP serial port interaction.
 */


#include "GenericARMSerial.h"

class OMAPSerial : public GenericARMSerial {
 protected:
	unsigned base;
    
 public:
	OMAPSerial(unsigned base);
    virtual ~OMAPSerial() {}
    
	virtual void Initialize();
	virtual void putChar(char);
	virtual char getChar();
    virtual int  tstChar();
	virtual void enableInterrupts();
	virtual void disableInterrupts();
};

#endif
