/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987, 1988, 1989, 1990, 1991
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Author: David W. Dykstra (dykstra@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
/*
 * PCi586TimerManager.h - machine specific hardware clock manager
 */

#ifndef PCi586TimerManager_h
#define PCi586TimerManager_h
#ifdef CFRONT
#define CONST const
#define STATIC static
#else /* must be g++ */
//#pragma interface
#if (__GNUG__ >= 2)
#if (!defined CONST)
#define CONST
#define STATIC
#endif
#else
#pragma once
#define CONST const
#define STATIC static
#endif
#endif

#include "TimerManager.h"

class PCi586TimerManager: public TimerManager {
public:
	PCi586TimerManager(PFI, PFV);
};

#endif /* PCi586TimerManager_h */
