/*
 * Elvis is still the king.  Elvis is everywhere.
 */

#ifndef Elvis_h
#define Elvis_h


#ifdef __GNUC__
#pragma interface
#endif

#include "Conduit.h"

class Process;

class ElvisConduit : public ApplicationConduit {
protected:
	static void ElvisDaemon( ElvisConduit * client );
	SemaphoreRegulatedMessageFIFO _incoming;
	Process * _daemon;
public:
	ElvisConduit();
	~ElvisConduit();

	Return_Code	insertFromBelow( ConduitMessage * msg );
	SemaphoreRegulatedMessageFIFO *	queue();
	TCPConduit * tcpConduit();
};


inline SemaphoreRegulatedMessageFIFO  *
ElvisConduit::queue()
{
	return( & _incoming );
}
inline TCPConduit *
ElvisConduit::tcpConduit()
{
	return( myTCPConduit );
}
#endif Elvis_h
