/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987, 1988, 1989, 1990, 1991
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Author:  Ruth A. Aydt (aydt@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
/*
 *	i586IntrExcp.h - declarations of assembly-language functions found
 *	in i586IntrExcp.s.  These are the lowest-level interrupt and interrupt
 *	handlers.  
 */

#ifndef i586IntrExcp_h
#define i586IntrExcp_h
#ifdef CFRONT
#define CONST const
#define STATIC static
#else /* must be g++ */
#pragma interface
#if (__GNUG__ >= 2)
#ifndef CONST
#define CONST
#define STATIC
#endif
#else
#pragma once
#define CONST const
#define STATIC static
#endif
#endif

extern "C" {
extern void CallStrayInterrupt();
extern void CallStrayInterruptWithErrorCode();

extern void Interrupt0();
extern void Interrupt1();
extern void Interrupt2();
extern void Interrupt3();
extern void Interrupt4();
extern void Interrupt5();
extern void Interrupt6();
extern void Interrupt7();
extern void Interrupt8();
extern void Interrupt9();
extern void Interrupt10();
extern void Interrupt11();
extern void Interrupt12();
extern void Interrupt13();
extern void Interrupt14();
extern void Interrupt15();
extern void Interrupt16();
extern void Interrupt17();
extern void Interrupt18();
extern void Interrupt19();
extern void Interrupt20();
extern void Interrupt21();
extern void Interrupt22();
extern void Interrupt23();
extern void Interrupt24();
extern void Interrupt25();
extern void Interrupt26();
extern void Interrupt27();
extern void Interrupt28();
extern void Interrupt29();
extern void Interrupt30();
extern void Interrupt31();
extern void Interrupt32();
extern void Interrupt33();
extern void Interrupt34();
extern void Interrupt35();
extern void Interrupt36();
extern void Interrupt37();
extern void Interrupt38();
extern void Interrupt39();
extern void Interrupt40();
extern void Interrupt41();
extern void Interrupt42();
extern void Interrupt43();
extern void Interrupt44();
extern void Interrupt45();
extern void Interrupt46();
extern void Interrupt47();
extern void Interrupt48();
extern void Interrupt49();
extern void Interrupt50();
extern void Interrupt51();
extern void Interrupt52();
extern void Interrupt53();
extern void Interrupt54();
extern void Interrupt55();
extern void Interrupt56();
extern void Interrupt57();
extern void Interrupt58();
extern void Interrupt59();
extern void Interrupt60();
extern void Interrupt61();
extern void Interrupt62();
extern void Interrupt63();
extern void Interrupt64();
extern void Interrupt65();
extern void Interrupt66();
extern void Interrupt67();
extern void Interrupt68();
extern void Interrupt69();
extern void Interrupt70();
extern void Interrupt71();
extern void Interrupt72();
extern void Interrupt73();
extern void Interrupt74();
extern void Interrupt75();
extern void Interrupt76();
extern void Interrupt77();
extern void Interrupt78();
extern void Interrupt79();
extern void Interrupt80();
extern void Interrupt81();
extern void Interrupt82();
extern void Interrupt83();
extern void Interrupt84();
extern void Interrupt85();
extern void Interrupt86();
extern void Interrupt87();
extern void Interrupt88();
extern void Interrupt89();
extern void Interrupt90();
extern void Interrupt91();
extern void Interrupt92();
extern void Interrupt93();
extern void Interrupt94();
extern void Interrupt95();
extern void Interrupt96();
extern void Interrupt97();
extern void Interrupt98();
extern void Interrupt99();
extern void Interrupt100();
extern void Interrupt101();
extern void Interrupt102();
extern void Interrupt103();
extern void Interrupt104();
extern void Interrupt105();
extern void Interrupt106();
extern void Interrupt107();
extern void Interrupt108();
extern void Interrupt109();
extern void Interrupt110();
extern void Interrupt111();
extern void Interrupt112();
extern void Interrupt113();
extern void Interrupt114();
extern void Interrupt115();
extern void Interrupt116();
extern void Interrupt117();
extern void Interrupt118();
extern void Interrupt119();
extern void Interrupt120();
extern void Interrupt121();
extern void Interrupt122();
extern void Interrupt123();
extern void Interrupt124();
extern void Interrupt125();
extern void Interrupt126();
extern void Interrupt127();
extern void Interrupt128();
extern void Interrupt129();
extern void Interrupt130();
extern void Interrupt131();
extern void Interrupt132();
extern void Interrupt133();
extern void Interrupt134();
extern void Interrupt135();
extern void Interrupt136();
extern void Interrupt137();
extern void Interrupt138();
extern void Interrupt139();
extern void Interrupt140();
extern void Interrupt141();
extern void Interrupt142();
extern void Interrupt143();
extern void Interrupt144();
extern void Interrupt145();
extern void Interrupt146();
extern void Interrupt147();
extern void Interrupt148();
extern void Interrupt149();
extern void Interrupt150();
extern void Interrupt151();
extern void Interrupt152();
extern void Interrupt153();
extern void Interrupt154();
extern void Interrupt155();
extern void Interrupt156();
extern void Interrupt157();
extern void Interrupt158();
extern void Interrupt159();
extern void Interrupt160();
extern void Interrupt161();
extern void Interrupt162();
extern void Interrupt163();
extern void Interrupt164();
extern void Interrupt165();
extern void Interrupt166();
extern void Interrupt167();
extern void Interrupt168();
extern void Interrupt169();
extern void Interrupt170();
extern void Interrupt171();
extern void Interrupt172();
extern void Interrupt173();
extern void Interrupt174();
extern void Interrupt175();
extern void Interrupt176();
extern void Interrupt177();
extern void Interrupt178();
extern void Interrupt179();
extern void Interrupt180();
extern void Interrupt181();
extern void Interrupt182();
extern void Interrupt183();
extern void Interrupt184();
extern void Interrupt185();
extern void Interrupt186();
extern void Interrupt187();
extern void Interrupt188();
extern void Interrupt189();
extern void Interrupt190();
extern void Interrupt191();
extern void Interrupt192();
extern void Interrupt193();
extern void Interrupt194();
extern void Interrupt195();
extern void Interrupt196();
extern void Interrupt197();
extern void Interrupt198();
extern void Interrupt199();
extern void Interrupt200();
extern void Interrupt201();
extern void Interrupt202();
extern void Interrupt203();
extern void Interrupt204();
extern void Interrupt205();
extern void Interrupt206();
extern void Interrupt207();
extern void Interrupt208();
extern void Interrupt209();
extern void Interrupt210();
extern void Interrupt211();
extern void Interrupt212();
extern void Interrupt213();
extern void Interrupt214();
extern void Interrupt215();
extern void Interrupt216();
extern void Interrupt217();
extern void Interrupt218();
extern void Interrupt219();
extern void Interrupt220();
extern void Interrupt221();
extern void Interrupt222();
extern void Interrupt223();
extern void Interrupt224();
extern void Interrupt225();
extern void Interrupt226();
extern void Interrupt227();
extern void Interrupt228();
extern void Interrupt229();
extern void Interrupt230();
extern void Interrupt231();
extern void Interrupt232();
extern void Interrupt233();
extern void Interrupt234();
extern void Interrupt235();
extern void Interrupt236();
extern void Interrupt237();
extern void Interrupt238();
extern void Interrupt239();
extern void Interrupt240();
extern void Interrupt241();
extern void Interrupt242();
extern void Interrupt243();
extern void Interrupt244();
extern void Interrupt245();
extern void Interrupt246();
extern void Interrupt247();
extern void Interrupt248();
extern void Interrupt249();
extern void Interrupt250();
extern void Interrupt251();
extern void Interrupt252();
extern void Interrupt253();
extern void Interrupt254();
extern void Interrupt255();
};

#endif //i586IntrExcp_h
