#ifndef RECKLESSDRIVERDD_H
#define RECKLESSDRIVERDD_H

#ifdef __GNUC__
#pragma interface
#endif

#include "RecklessDriver.h"
#include "Domain.h"
#include "DDriver.h"
#include "Assert.h"
#include "Kernel.h"

class RecklessDriverDD: public RecklessDriver, public DDriver {

public:

  RecklessDriverDD() : RecklessDriver(), DDriver()
  {
	init();
  }

  void runCommand(int);

  void accessOutOfBounds();
  void invalidPointerDereference();
  void accessKernelObjects();
  void setKernelObjects();
};

#endif /* RECKLESSDRIVERDD_H */
#ifndef RECKLESSDRIVERDD_H
#define RECKLESSDRIVERDD_H

#ifdef __GNUC__
#pragma interface
#endif

#include "RecklessDriver.h"
#include "Domain.h"
#include "DDriver.h"
#include "Assert.h"
#include "Kernel.h"

class RecklessDriverDD: public RecklessDriver, public DDriver {

public:

  RecklessDriverDD() : RecklessDriver(), DDriver()
  {
	init();
  }

  void runCommand(int);

  int accessOutOfBounds();
  void invalidPointerDereference();
  void accessKernelObjects();
  void setKernelObjects();
};

#endif /* RECKLESSDRIVERDD_H */
