#include "RecklessDriver.h"
#include "Kernel.h"
#include "ThisCPU.h"

RecklessDriver::RecklessDriver()
{
}

void RecklessDriver::accessOutOfBounds() 
{
  // create an array and access a number past the boundaries
  int dummy[10];

  for (int i = 0; i < 10; i++)
    dummy[i] = 0xcafebabe;

  for (int i = 0; i < 10; i++)
    dummy[-10000] += dummy[i];
 
  dummy[9] = dummy[-2000];
}

void RecklessDriver::invalidPointerDereference()
{
	//create a pointer, don't instantiate the class
	RecklessDriver * nothingHere = 0;

	//attempt to access a method on that pointer
	nothingHere->accessOutOfBounds();
}

void RecklessDriver::accessKernelObjects()
{
	//try accessing the kernel
	TheKernel->kernelHeapSize();
}

void RecklessDriver::setKernelObjects()
{
	// try setting the _kernelHeapAddress
	//TheKernel->_kernelHeapAddress = "UH OH";
}

