#ifdef __GNUC__
#pragma implementation
#endif

#include "Class.h"
#include "FormatAssists.h"
#include "OutputStream.h"
#include "Process.h"
#include "String.h"
#include "Assert.h"

#ifdef ASSERT

AssertionFailure::AssertionFailure(const char *exp , char * file, char *baseFile, int line)
{
	Console().write("Assert failed\n",14);

	if( ! strcmp( file, baseFile ) ) {
	        Console() << "Assertion (" << exp << ") failed\n\tin "
		    << file << ", line " << line << "\n" << eor;
	} else {
		Console() << "Assertion (" << exp << ") failed\n\tin " << 
			file 
                     << " (#include'd in " << baseFile << 
			 "), line " << line << "\n" << eor;
	}
	Console().flush();
}

AssertionFailure::~AssertionFailure()
{
    while(1);
}

#endif /* ASSERT */
