
#include "FreeRunningTimer.h"
#include "exception.h"

FreeRunningTimer::FreeRunningTimer(void* k) :ProxiableObject((void*)0) {kernelObj=k;}

unsigned int FreeRunningTimer::time()
{
  unsigned int ret;
  kernel_exception::EXCODE code;
  
  asm volatile ("mov r0, #2\n\t"
		"mov r1, %1\n\t"
		"mov r3, %2\n\t"
		"swi #3878\n\t"
		"str r0, %0"
		: "=m"(code) : "r" (kernelObj), "r" (&ret) : "r0", "r1", "r2", "r3" );
  kernel_exception::throw_exception(code);
  
  return ret;
}

FreeRunningTimer::~FreeRunningTimer() {}
#include "ClassInstaller.h"
DEFINECLASS("FreeRunningTimer",FreeRunningTimer,ProxiableObject,0,0);

