
#include "RaidOutputStream.h"
#include "exception.h"

RaidOutputStream::RaidOutputStream(void* k) :OutputStream((void*)0) {kernelObj=k;}

int RaidOutputStream::write(char* buffer, int count)
{
  int ret;
  kernel_exception::EXCODE code;
  char paramBuffer[0+sizeof(buffer)+sizeof(count)];
  *(char**)(paramBuffer) = buffer;
  *(int*)(paramBuffer+sizeof(buffer)) = count;

  asm volatile ("mov r0, #2\n\t"
		"mov r1, %1\n\t"
		"mov r2, %2\n\t"
		"mov r3, %3\n\t"
		"swi #3879\n\t"
		"str r0, %0"
		: "=m"(code) : "r" (kernelObj), "r" (paramBuffer), "r" (&ret) : "r0", "r1", "r2", "r3" );
  kernel_exception::throw_exception(code);
  
  return ret;
}

RaidOutputStream::~RaidOutputStream() {}
#include "ClassInstaller.h"
DEFINECLASS("RaidOutputStream",RaidOutputStream,OutputStream,0,0);

