#ifdef __GNUC__
#pragma implementation
#endif

/*
 * Routines to get things from the machine.
 */

#include "Assert.h"
#include "OutputStream.h"
#include "MachPROM.h"
#include "String.h"
#include "Integratordevices.h"

IntegratorPROM::IntegratorPROM()
{
}

/*
 * Hard coded for QEMU memory
 */
void
IntegratorPROM::setmemlists( struct memlist * &phys_available, 
                             struct memlist * &phys_total)
{
    static struct memlist *pmem = 0;

    Debug << "PROM memory areass are hard-coded " << __FILE__ << ":" 
        << __LINE__ << "\n" << eor;
    if (pmem == 0) {
        pmem = new memlist;
        pmem->address = 0x00000000;
        pmem->size = 0x02000000;
        pmem->next = 0;
    }

    phys_available = pmem;
    phys_total = pmem;

    Assert (phys_available != 0);
    Assert (phys_total != 0);
}
