/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *               University of Illinois at Urbana-Champaign
 *               Department of Computer Science
 *               1304 W. Springfield Ave.
 *               Urbana, IL     61801
 *
 * Copyright (c) 1987-1992
 * The University of Illinois Board of Trustees.
 *      All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

/*
 * This is loaded first to ensure that it will be on a page boundary.
 * The first instruction is a jump to '_start' where real initialization occurs.
 */
	.text
	.align 4
	_KernelReadOnlyStartPad:
	.space 4096

	.align 4
	.globl	_KernelReadOnlyStart
	
_KernelReadOnlyStart:
	.long .
	
	.globl __init
__init:	


