#ifdef __GNUC__
#pragma implementation
#endif

/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987, 1988, 1989 The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Author: Aamod Sane (sane@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

#include "VMState.h"


#ifdef __GNUC__
#pragma implementation
#endif

VMState *
VMStateMachine::one()
{
    Assert(_numStates >= 1);
    return _states[0];
}

VMState *
VMStateMachine::two()
{
    Assert(_numStates >= 2);
    return _states[1];
}

VMState *
VMStateMachine::three()
{
    Assert(_numStates >= 3);
    return _states[2];
}

VMState *
VMStateMachine::four()
{
    Assert(_numStates >= 4);
    return _states[3];
}

VMState *
VMStateMachine::five()
{
    Assert(_numStates >= 5);
    return _states[4];
}

VMState *
VMStateMachine::six()
{
    Assert(_numStates >= 6);
    return _states[5];
}

VMState *
VMStateMachine::seven()
{
    Assert(_numStates >= 7);
    return _states[6];
}

VMState *
VMStateMachine::eight()
{
    Assert(_numStates >= 8);
    return _states[7];
}

VMState *
VMStateMachine::nine()
{
    Assert(_numStates >= 9);
    return _states[8];
}

VMState *
VMStateMachine::ten()
{
    Assert(_numStates >= 10);
    return _states[9];
}

VMState *
VMStateMachine::eleven()
{
    Assert(_numStates >= 11);
    return _states[10];
}

VMState *
VMStateMachine::twelve()
{
    Assert(_numStates >= 12);
    return _states[11];
}

VMState *
VMStateMachine::thirteen()
{
    Assert(_numStates >= 13);
    return _states[12];
}

VMState *
VMStateMachine::fourteen()
{
    Assert(_numStates >= 14);
    return _states[13];
}

VMState *
VMStateMachine::fifteen()
{
    Assert(_numStates >= 15);
    return _states[14];
}

VMState *
VMStateMachine::sixteen()
{
    Assert(_numStates >= 16);
    return _states[15];
}

VMState *
VMStateMachine::seventeen()
{
    Assert(_numStates >= 17);
    return _states[16];
}

VMState *
VMStateMachine::eighteen()
{
    Assert(_numStates >= 18);
    return _states[17];
}

VMState *
VMStateMachine::nineteen()
{
    Assert(_numStates >= 19);
    return _states[18];
}

VMState *
VMStateMachine::twenty()
{
    Assert(_numStates >= 20);
    return _states[19];
}

