#ifdef __GNUC__
#pragma implementation
#endif

/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987, 1988, 1989, 1990, 1991
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Author: Johnny Zweig (zweig@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

/*
 * ZootClock.cc
 *
 */

#include "FreeRunningTimer.h"
#include "FreeRunningTimerStar.h"
#include "ConduitTypes.h"
#include "Word.h"
#include "ZootClock.h"


#ifdef __GNUC__
#pragma implementation
#endif

static const int GMTOFFSET = 5;

Word32 now32()
{	// Now() is supposed to simulate a 32-bit timer that is updated
	//   every 4 microseconds (as per RFC793, p.27).
	short unsigned int tmp;

	tmp = SystemTimer->time() / 4;
	return( tmp );
}

