#ifdef __GNUC__
#pragma implementation
#endif

/*
 * This file is simply here to include header files for which definitions
 *   must be made for assembler files.
 */
#include "NS32332Context.h"
#include "CPU.h"
#include "Process.h"
#include <stdio.h>

#ifdef __GNUC__
#pragma implementation
#endif


class asmdefs
{
public:
	static void print();
};


main()
{
	asmdefs::print();
}

void
asmdefs::print()
{
printf("#define R3__21NS32332GENERICCONTEXT %d\n",
	(unsigned)&((NS32332GenericContext *)0)->r3);
printf("#define R4__21NS32332GENERICCONTEXT %d\n",
	(unsigned)&((NS32332GenericContext *)0)->r4);
printf("#define R5__21NS32332GENERICCONTEXT %d\n",
	(unsigned)&((NS32332GenericContext *)0)->r5);
printf("#define R6__21NS32332GENERICCONTEXT %d\n",
	(unsigned)&((NS32332GenericContext *)0)->r6);
printf("#define R7__21NS32332GENERICCONTEXT %d\n",
	(unsigned)&((NS32332GenericContext *)0)->r7);
printf("#define FP__21NS32332GENERICCONTEXT %d\n",
	(unsigned)&((NS32332GenericContext *)0)->fp);
printf("#define SP__21NS32332GENERICCONTEXT %d\n",
	(unsigned)&((NS32332GenericContext *)0)->sp);
printf("#define USP__21NS32332GENERICCONTEXT %d\n",
	(unsigned)&((NS32332GenericContext *)0)->usp);
printf("#define PSR__21NS32332GENERICCONTEXT %d\n",
	(unsigned)&((NS32332GenericContext *)0)->psr);

printf("#define STATICBASEPOINTER__6MODULE %d\n",
	(unsigned)&((Module *)0)->StaticBasePointer);
printf("#define LINKBASEPOINTER__6MODULE %d\n",
	(unsigned)&((Module *)0)->LinkBasePointer);
printf("#define PROGRAMBASEPOINTER__6MODULE %d\n",
	(unsigned)&((Module *)0)->ProgramBasePointer);
printf("#define INTERRUPTPOINTER__6MODULE %d\n",
	(unsigned)&((Module *)0)->InterruptPointer);


printf("#define FSR__25NS32332APPLICATIONCONTEXT %d\n",
	(unsigned)&((NS32332ApplicationContext *)0)->fsr);
printf("#define FO__25NS32332APPLICATIONCONTEXT %d\n",
	(unsigned)&((NS32332ApplicationContext *)0)->f0);
printf("#define F2__25NS32332APPLICATIONCONTEXT %d\n",
	(unsigned)&((NS32332ApplicationContext *)0)->f2);
printf("#define F4__25NS32332APPLICATIONCONTEXT %d\n",
	(unsigned)&((NS32332ApplicationContext *)0)->f4);
printf("#define F6__25NS32332APPLICATIONCONTEXT %d\n",
	(unsigned)&((NS32332ApplicationContext *)0)->f6);

}
