#ifdef __GNUC__
#pragma implementation
#endif

/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *               University of Illinois at Urbana-Champaign
 *               Department of Computer Science
 *               1304 W. Springfield Ave.
 *               Urbana, IL     61801
 *
 * Copyright (c) 1987-1992
 * The University of Illinois Board of Trustees.
 *      All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

#include "Assert.h"
#include "Util.h"


#ifdef __GNUC__
#pragma implementation
#endif

extern "C" { 

void
ZeroBlock(unsigned char *addr, unsigned long nbytes) {
	Assert (NOTREACHED);
	while (nbytes-- > 0)
		*addr++ = '\0';
}

void 
PhysCopyBlock(unsigned char *s, unsigned char *d, unsigned long length) {
	Assert (NOTREACHED);
	while (length-- >0)
		*d++ = *s++;
}

};
