#ifdef __GNUC__
#pragma implementation
#endif

/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *               University of Illinois at Urbana-Champaign
 *               Department of Computer Science
 *               1304 W. Springfield Ave.
 *               Urbana, IL     61801
 *
 * Copyright (c) 1987-1992
 * The University of Illinois Board of Trustees.
 *      All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

#include "VCMMU.h"
#include "VCPageTable.h"
#include "ClassInstaller.h"
#include "Kernel.h"
extern "C" {
#include <sys/mman.h>
  //int mprotect();
//int munmap(char *, int);
};


#ifdef __GNUC__
#pragma implementation
#endif

void
VCMMU::basicActivate( AddressTranslation *adt )
{
	Assert (adt != 0);
	((VCPageTable *)adt)->activate();
}

DEFINECLASS("VCMMU",VCMMU,AddressTranslator,0,0);
