#ifdef __GNUC__
#pragma implementation
#endif

/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987-1992
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

#include "ObjectProxy.h"


#ifdef __GNUC__
#pragma implementation
#endif

extern unsigned VCProxyInterruptbasicRaise(int);

inline
void
GenerateProxyTrap(int number)
{
	int ret = VCProxyInterruptbasicRaise(number);
#if defined(linux)
	asm volatile ("movl %0, %%eax" : : "r"(ret));	// Set up return value
#else
	asm volatile ("mov %0, %%i0" : : "r"(ret));	// Set up return value
#endif
}

extern "C" ObjectProxy * ConstructProxy();

ObjectProxy *
ConstructProxy()
{
GenerateProxyTrap(-1);
}

ObjectProxy::~ObjectProxy()
{
GenerateProxyTrap(0);
}

unsigned int
ObjectProxy::identity()
{
GenerateProxyTrap(2);
}

int 
ObjectProxy::isKindOf(Class *c)
{
GenerateProxyTrap(3);
}

int
ObjectProxy::isMemberOf( Class *c)
{
GenerateProxyTrap(4);
}

Class *
ObjectProxy::classOf()
{
GenerateProxyTrap(5);
}

int
ObjectProxy::debugMask()
{
GenerateProxyTrap(6);
}

void
ObjectProxy::setDebugMask(unsigned mask)
{
GenerateProxyTrap(7);
}

void
ObjectProxy::setDebugMessages(unsigned messages)
{
GenerateProxyTrap(8);
}

void
ObjectProxy::writeName( OutputStream *o)
{
GenerateProxyTrap(9);
}

void
ObjectProxy::inspect(OutputStream *o)
{
GenerateProxyTrap(10);
}

void
ObjectProxy::noRemainingReferences()
{
GenerateProxyTrap(11);
}

void
ObjectProxy::reference()
{
GenerateProxyTrap(12);
}

void
ObjectProxy::unreference()
{
GenerateProxyTrap(13);
}

int
ObjectProxy::f14(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(14);
}

int
ObjectProxy::f15(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(15);
}

int
ObjectProxy::f16(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(16);
}

int
ObjectProxy::f17(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(17);
}

int
ObjectProxy::f18(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(18);
}

int
ObjectProxy::f19(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(19);
}

int
ObjectProxy::f20(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(20);
}

int
ObjectProxy::f21(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(21);
}

int
ObjectProxy::f22(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(22);
}

int
ObjectProxy::f23(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(23);
}

int
ObjectProxy::f24(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(24);
}

int
ObjectProxy::f25(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(25);
}

int
ObjectProxy::f26(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(26);
}

int
ObjectProxy::f27(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(27);
}

int
ObjectProxy::f28(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(28);
}

int
ObjectProxy::f29(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(29);
}

int
ObjectProxy::f30(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(30);
}

int
ObjectProxy::f31(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(31);
}

int
ObjectProxy::f32(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(32);
}

int
ObjectProxy::f33(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(33);
}

int
ObjectProxy::f34(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(34);
}

int
ObjectProxy::f35(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(35);
}

int
ObjectProxy::f36(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(36);
}

int
ObjectProxy::f37(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(37);
}

int
ObjectProxy::f38(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(38);
}

int
ObjectProxy::f39(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(39);
}

int
ObjectProxy::f40(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(40);
}

int
ObjectProxy::f41(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(41);
}

int
ObjectProxy::f42(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(42);
}

int
ObjectProxy::f43(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(43);
}

int
ObjectProxy::f44(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(44);
}

int
ObjectProxy::f45(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(45);
}

int
ObjectProxy::f46(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(46);
}

int
ObjectProxy::f47(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(47);
}

int
ObjectProxy::f48(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(48);
}

int
ObjectProxy::f49(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(49);
}

int
ObjectProxy::f50(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(50);
}

int
ObjectProxy::f51(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(51);
}

int
ObjectProxy::f52(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(52);
}

int
ObjectProxy::f53(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(53);
}

int
ObjectProxy::f54(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(54);
}

int
ObjectProxy::f55(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(55);
}

int
ObjectProxy::f56(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(56);
}

int
ObjectProxy::f57(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(57);
}

int
ObjectProxy::f58(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(58);
}

int
ObjectProxy::f59(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(59);
}

int
ObjectProxy::f60(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(60);
}

int
ObjectProxy::f61(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(61);
}

int
ObjectProxy::f62(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(62);
}

int
ObjectProxy::f63(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(63);
}

int
ObjectProxy::f64(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(64);
}

int
ObjectProxy::f65(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(65);
}

int
ObjectProxy::f66(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(66);
}

int
ObjectProxy::f67(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(67);
}

int
ObjectProxy::f68(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(68);
}

int
ObjectProxy::f69(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(69);
}

int
ObjectProxy::f70(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(70);
}

int
ObjectProxy::f71(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(71);
}

int
ObjectProxy::f72(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(72);
}

int
ObjectProxy::f73(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(73);
}

int
ObjectProxy::f74(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(74);
}

int
ObjectProxy::f75(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(75);
}

int
ObjectProxy::f76(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(76);
}

int
ObjectProxy::f77(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(77);
}

int
ObjectProxy::f78(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(78);
}

int
ObjectProxy::f79(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(79);
}

int
ObjectProxy::f80(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(80);
}

int
ObjectProxy::f81(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(81);
}

int
ObjectProxy::f82(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(82);
}

int
ObjectProxy::f83(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(83);
}

int
ObjectProxy::f84(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(84);
}

int
ObjectProxy::f85(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(85);
}

int
ObjectProxy::f86(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(86);
}

int
ObjectProxy::f87(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(87);
}

int
ObjectProxy::f88(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(88);
}

int
ObjectProxy::f89(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(89);
}

int
ObjectProxy::f90(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(90);
}

int
ObjectProxy::f91(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(91);
}

int
ObjectProxy::f92(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(92);
}

int
ObjectProxy::f93(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(93);
}

int
ObjectProxy::f94(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(94);
}

int
ObjectProxy::f95(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(95);
}

int
ObjectProxy::f96(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(96);
}

int
ObjectProxy::f97(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(97);
}

int
ObjectProxy::f98(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(98);
}

int
ObjectProxy::f99(int a, int b, int c, int d, int e)
{
GenerateProxyTrap(99);
}
