/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987, 1988, 1989, 1990, 1991
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Author: Vincent F. Russo (russo@cs.uiuc.edu)
 * Contributing Author: Gary M. Johnston (johnston@cs.uiuc.edu)
 * Contributing Author: Peter W. Madany (madany@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
/*
 * i586PhysicalMemoryObject.c - memory object class to access physical memory.
 */
#include "Assert.h"
#include "OutputStream.h"
#include "i586PhysicalMemoryObject.h"
#include "MemoryObjectStar.h"

i586PhysicalMemoryObject thePhysicalMemoryObject;
//MemoryObjectStar ThePhysicalMemoryObject = &thePhysicalMemoryObject;
//JMT Hack tbd

extern "C" {
   void PhysCopyBlock(unsigned char *, unsigned char *, int);
};

void
i586PhysicalMemoryObject::copyBlock( const char * psrc,
				 const char * pdst,
				 unsigned int count )
{
	PhysCopyBlock( (unsigned char *) psrc, (unsigned char *) pdst, count);
}


#include "ClassInstaller.h"
DEFINECLASS("i586PhysicalMemoryObject",i586PhysicalMemoryObject,MemoryObject,0,0);
