#include <stdio.h>
#include <types.h>
#include <malloc.h>

extern char ** environ;

main(int argc, char *argv[])
{
	char ** newargv;
	int i;
	int status;

	
	if (argc < 2) {
		fprintf(stderr, "usage: exectest program_name args...\n");
		exit(1);
	} 
	newargv = (char **) malloc( sizeof(char *) * argc);
	for ( i = 1; i < argc; i ++ )
		newargv[i - 1] = argv[i];
	newargv[argc - 1] = 0;
	status = execve( argv[1], newargv, environ );

	fprintf(stderr, "status = %d\n", status );
	exit( 1 );
}
