#ifdef __GNUC__
#pragma implementation
#endif

#include "OutputStream.h"

extern "C" {
#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <sys/time.h>
int write( int, char *, int );
int fsync( int );
int printf( char *, ... );
int fprintf( FILE *, ... );
}

int dummy( int a, ... )
{
        int b,c;
	int * vai;
        va_list va;

        va_start(va, a);

	vai = &a;

	Console() << "&a " << asHex((int) vai) 
		<< ", &b " << asHex((int) (vai+1))
		<< ", &c " << asHex((int) (vai+2)) 
		<< "\n" << eor;
	Console() << asHex( vai[0] ) << ", "
		<< asHex( vai[1]  ) << ", "
	        << asHex( vai[2] ) << "\n" << eor;

	vai = (int *) va;
	Console() << "vai " << asHex((int) vai) 
		<< ", vai+1 " << asHex((int) (vai+1))
		<< ", vai+2 " << asHex((int) (vai+2)) 
		<< "\n" << eor;
	Console() << asHex( vai[0] ) << ", "
		<< asHex( vai[1]  ) << ", "
	        << asHex( vai[2] ) << "\n" << eor;

	Console().flush();

        b = va_arg(va, int);
	c = va_arg(va, int);

	va_end(va);

	Console() << "a " << a << ", b " << b << ", c " << c << "\n" << eor;
	Console().flush();
	return 0;
}

int dummyworks( int a, int b, int c )
{
	int * vai;
        va_list va;
	
	Console() << "a " << a << ", b " << b << ", c " << c << "\n" << eor;
	Console() << "&a " << asHex((int) &a )
		<< ", &b " << asHex((int) &b )
		<< ", &c " << asHex((int) &c )
		<< "\n" << eor;				    

        va_start(va, a);
	vai = (int *) va;

	Console() << "vai " << asHex((int) vai) 
		<< ", vai+1 " << asHex((int) (vai+1))
		<< ", vai+2 " << asHex((int) (vai+2)) 
		<< "\n" << eor;
	Console() << asHex( vai[0] ) << ", "
		<< asHex( vai[1]  ) << ", "
	        << asHex( vai[2] ) << "\n" << eor;
	Console().flush();

        b = va_arg(va, int);
	c = va_arg(va, int);

	va_end(va);

	Console() << "a " << a << ", b " << b << ", c " << c << "\n" << eor;
	Console().flush();
	return 0;
}

int testctime()
{
	char * result;
	struct timeval tv;
	struct timezone tz;

	gettimeofday( &tv, &tz );
	Console() << "secs " << asHex((int) tv.tv_sec) << "\n" << eor;
	result = ctime(&(tv.tv_sec));
	Console() << "result " << asHex((int) result) << "\n" << eor;
	Console() << "ctime " << result << "\n" << eor;
	return 0;
}

int main(int argc, char * argv[])
{

	int a, b, c;
        a = 1;
        b = 2;
        c = 3;
        dummy( a, b, c );
	dummyworks( a, b, c );
        char * hello = "Hello world\n";
	write(1, hello, strlen(hello));
	fsync(1);
	printf("hello\n");
	fprintf(stderr,"hello stderr\n");
	printf("many args %d %d %d\n", a, b, c);
	testctime();
	return 0;
}
