#ifdef __GNUC__
#pragma implementation
#endif

#include "SystemInterface.h"
#include "FileSystemInterface.h"
#include "FileSystemInterfaceStar.h"
#include "PersistentMemoryObjectStar.h"
#include "NameServer.h"
#include "Process.h"
#include "ProcessStar.h"
#include "ClassStar.h"
#include "OutputStream.h"
#include "Assert.h"


void
recurse(int x)
{
  StandardOutput->formattedWrite("Recurse: level %d\n", x);
  if (x < 1000)
    recurse(x+1);
}


int
main(int, char **) {
  StandardOutput->formattedWrite("Beginning application\n");
  StandardOutput->flush();

  recurse(0);

  StandardOutput->formattedWrite("Finishing application\n");
  StandardOutput->flush();
}
