/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987, 1988, 1989 The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Author: Peter W. Madany (madany@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
int append( int argc, char *argv[] );
int cat( int argc, char *argv[] );
int cd( int argc, char *argv[] );
int cdb( int argc, char *argv[] );
int cdroot( int argc, char *argv[] );
int chgroup( int argc, char *argv[] );
int chmode( int argc, char *argv[] );
int chowner( int argc, char *argv[] );
int cp( int argc, char *argv[] );
int create( int argc, char *argv[] );
int dump( int argc, char *argv[] );
int debugChildrenInstances( Class *, int, int );
int echo( int argc, char *argv[] );
int help( int argc, char *argv[] );
int hierarchy( int argc, char *argv[] );
int inst( int argc, char *argv[] );
int ln( int argc, char *argv[] );
int ls( int argc, char *argv[] );
int makedir( int argc, char *argv[] );
int makepo( int argc, char *argv[] );
int mnt( int argc, char *argv[] );
int mv( int argc, char *argv[] );
int instance( int argc, char *argv[] );
int instances( int argc, char *argv[] );
int odb( int argc, char *argv[] );
int posh( int argc, char *argv[] );
int remdir( int argc, char *argv[] );
int rm( int argc, char *argv[] );
int server( int argc, char *argv[] );
int set( int argc, char *argv[] );
int synch( int argc, char *argv[] );
int umasks( int argc, char *argv[] );
int unmnt( int argc, char *argv[] );
int osetmask( int argc, char *argv[] );
int oclrmask( int argc, char *argv[] );

extern "C" {
	extern char * gets( char * );
}

class InputStreamStar;
extern InputStreamStar stdin;

class OutputStreamStar;
extern OutputStreamStar stdout;
