#ifdef __GNUC__
#pragma implementation
#endif

#include "HashTable.h"
#include "GPInclude.h"
#include "Utils.h"
#ifdef __GNUG__
#include "Stdio.h"
#endif

class mylink : public Link {
    int _item;
  public:
    mylink(int i) { _item = i; };
    ~mylink() { Console() << "mylink destroyed" << "\n" << eor;};
    int item() { return _item; };
    void setItem(int i) { _item = i; };
    int compare ( Link * l ) { return _item == ((mylink*)l)->_item; };
    void inspect() { Console() << _item << eor; };
    int hash(int n) { return item()%n; }
};

void
f( Link * l)
{
    Console() << ((mylink*)l)->item()*2 << " " << eor;
}

main()
{
    
//     HashTable * _t = new HashTable(4,f);
//     HashTable &t = *_t;
    HashTable t(4,f);
    
    forever {
	
	int rval = 0;
	char cmd = '?';
	unsigned int arg1 = 0;
	unsigned int arg2 = 0;
	
	char * tmp = GetCmd();
	if (tmp)
	    sscanf(tmp,"%c%i%i",&cmd,&arg1,&arg2);
	else
	    continue;
	
	Console() << cmd << " " << arg1 << " " << arg2 << "\n" << eor;
	
	mylink * rptr;
	
	switch(cmd) {
		  case 'i': {
		      mylink * m = new mylink((int)arg1);
		      t.insert(m);
		  }
		    break;
		  case 'r': {
		      mylink n((int)arg1);
		      rptr = (mylink *)t.remove(&n);
		      if (rptr)
			  rval = rptr->item();
		      else
			  Console() << "Error return 0\n" << eor;
		  }
		    break;
		  case 's': {
		      mylink n((int)arg1);
		      rptr = (mylink*)t.remove(&n,arg2);
		      if (rptr)
			  rval = rptr->item();
		      else
			  Console() << "Error return 0\n" << eor;
		  }
		    break;
		  case 'f': {
		      mylink n((int)arg1);
		      rptr = (mylink*)t.find(&n);
		      if (rptr)
			  rval = rptr->item();
		      else
			  Console() << "Error return 0\n" << eor;
		  }
		    break;
		  case 'g': {
		      mylink n((int)arg1);
		      rptr = (mylink*)t.find(&n,arg2);
		      if (rptr)
			  rval = rptr->item();
		      else
			  Console() << "Error return 0\n" << eor;
		  }
		    break;
		  case 'p':
		    t.inspect();
		    break;
 		  case 'm':
		    t.mapcar(f);
		    break;
		  case 'x':
// 		    delete _t;
		    return 0;
		  default:
		    Console() << "Unknown switch" << "\n" << eor;
		    break;
		}
	Console() << "Operation " << cmd << " value "
	    << (unsigned int)rval << "\n" << eor;
    }
}
