#ifdef __GNUC__
#pragma implementation
#endif

#include "MultiHashTable.h"
#include "GPInclude.h"
#include "Utils.h"
#ifdef __GNUG__
#include "Stdio.h"
#else
extern "C" {
    int atoi(const char *);
}
#endif

void
f( int type, void * p)
{
#ifdef ____    
    switch(type) {
      case 1:
	printf("%d ",(int)p);
	break;
      case 2:
	printf("%s ",(char *)p);
	break;
      case 3:
	printf("%x ",(unsigned)p);
	break;
      default:
	printf("Unknown type\n");
	break;
    }
#else    
    switch(type) {
      case 1:
	Console() << (int)p << " " << eor;
	break;
      case 2:
	Console() << "%s " << (char *)p << " " << eor;
	break;
      case 3:
	Console() << "0x" << (unsigned)p << " " << eor;
	break;
      default:
	Console() << "Unknown type\n" << eor;
    }
#endif    
}

//MultiHashTable* t;

main()
{
//    t = new MultiHashTable(3,f);
    MultiHashTable t(3,f);
    
    int mode = 0;
    char arg1[80];
    
    forever {
	
	int rval = 0;
	char cmd = '?';
	unsigned int arg2 = 0;
	
	char * tmp = GetCmd();
	if (tmp)
	    sscanf(tmp,"%c%s%i",&cmd,&arg1[0],&arg2);
	else
	    continue;
	
	Console() << cmd << " " << arg1 << " " << arg2 << "\n" << eor;
	
	if (cmd == 'm') {
	    mode = ~mode;
	    continue;
	}
	
	if (mode)
	    switch(cmd) {
	      case 'i': 
		t.insert(atoi(arg1));
		break;
	      case 'r':
		rval = t.remove(atoi(arg1));
		break;
	      case 's':
		rval = t.remove(atoi(arg1),arg2);
		break;
	      case 'f':
		rval = t.isIn(atoi(arg1));
		break;
	      case 'g':
		rval = t.isIn(atoi(arg1),arg2);
		break;
	      case 'p':
		t.inspect();
		break;
	      case 'x':
//		delete t;
		return 0;
	      default:
		Console() << "Unknown switch\n";
		break;
	    }
	else
	    switch(cmd) {
	      case 'i': 
		t.insert(arg1);
		break;
	      case 'r':
		rval = t.remove(arg1);
		break;
	      case 's':
		rval = t.remove(arg1,arg2);
		break;
	      case 'f':
		rval = t.isIn(arg1);
		break;
	      case 'g':
		rval = t.isIn(arg1,arg2);
		break;
	      case 'p':
		t.inspect();
		break;
	      case 'x':
//		delete t;
		return 0;
	      default:
		Console() << "Unknown switch\n";
		break;
	    }
	Console() << "Operation " << cmd << " value "
	    << (unsigned int)rval << "\n" << eor;
    }
}






