#ifdef __GNUC__
#pragma implementation
#endif

#include "Partition.h"
#include "GPInclude.h"
#include "Utils.h"
#ifdef __GNUG__
#include "Stdio.h"
#endif


main()
{
    int dim = 100;
    Partition b(dim);
    
    forever {
	
	int rval = 0;
	char cmd = '?';
	unsigned int arg1 = 0;
	unsigned int arg2 = 0;
	
	char * tmp = GetCmd();
	if (tmp)
	    sscanf(tmp,"%c%i%i",&cmd,&arg1,&arg2);
	else
	    continue;
	
	Console() << cmd << " " << arg1 << " " << arg2 << "\n" << eor;
	
	switch(cmd) {
	  case 'S':
	    rval = b.set(arg1,arg2);
	    break;
	  case 'G':
	    rval = b.get(arg1);
	    break;
	  case 'p':
	    b.inspect();
	    Console() << "\n" << eor;
	    break;
	  case 's':
	    rval = b.setRange(arg1,arg2,1);
	    break;
	  case 'z':
	    rval = b.setRange(arg1,arg2,0);
	    break;
	  case 'g':
	    rval = b.getRange(arg1,arg2);
	    break;
	  case 'i':
	    rval = b.alloc(arg1,arg2);
	    break;
	  case 'r':
	    rval = b.free(arg1,arg2);
	    break;
	  case 'f': {
	      unsigned arg2;
	      unsigned some;
	      rval = b.inRange(arg1,arg2,some);
	      if (!rval)
		  arg2 = some = 0;
	      Console() << "inRange in Partition " << arg2 << "," << some << "\n";
	  }
	    break;
	  case 'x':
	    return 0;
	  default:
	    Console() << "Unknown switch\n";
	    break;
	}
	Console() << "Operation " << cmd << " value " << rval << "\n";
    }
}
