# $Id: trace_points.m4 2 2004-06-03 01:58:28Z jcarlyle $
#
# $Source: /projects/choices/old/cvsroot/choices/Applications/Water/trace_points.m4,v $
#
# $Log: trace_points.m4,v $
# Revision 1.1  2004/06/03 01:58:30  jcarlyle
# Initial revision
#
# Revision 1.5  1993/01/19  06:50:23  drk
# Added procedure ID for main().
#
# Revision 1.4  1993/01/19  05:30:13  drk
# Renumber procedures so that callers always precede callees.
#
# Revision 1.3  1992/06/03  19:57:23  zhang
# Added some loop tracing.
#
# Revision 1.2  1992/01/23  00:18:15  zhang
# Modified procedure ids;
#
# Revision 1.1  91/12/06  11:51:32  zhang
# Initial revision
# 
#
# Trace point definitions for SPLASH application: water.

# Right now the numbering has to start with 10 since the first 18 are
# reserved for macro constructs and procedure id are multiplied by 2.
# Also, main is only a placeholder; the single call to it is not actually
# traced.

TRACE_PROC(water.U,main, 11)
TRACE_PROC(cnstnt.U,CNSTNT, 12)
TRACE_PROC(syscns.U,SYSCNS,13)
TRACE_PROC(initia.U,INITIA, 14)
TRACE_PROC(water.U,WorkStart,15)
TRACE_PROC(redsync.U,MDMAIN,16)
TRACE_PROC(predcor.U,PREDIC,17)
TRACE_PROC(predcor.U,CORREC,18)
TRACE_PROC(bndry.U,BNDRY, 19)
TRACE_PROC(kineti.U,KINETI, 20)
TRACE_PROC(poteng.U,POTENG, 21)
TRACE_PROC(intraf.U,INTRAF, 22)
TRACE_PROC(interf.U,INTERF, 23)
TRACE_PROC(cshift.U,CSHIFT, 24)
TRACE_PROC(interf.U,UPDATE_FORCES, 25)

# Loop trace points.

TRACE_LOOP(initia.U, INITIA, 1,  10010)
TRACE_LOOP(initia.U, INITIA, 2,  10020)
TRACE_LOOP(initia.U, INITIA, 3,  10030)
TRACE_LOOP(initia.U, INITIA, 4,  10040)
TRACE_LOOP(initia.U, INITIA, 5,  10050)
TRACE_LOOP(initia.U, INITIA, 6,  10060)
TRACE_LOOP(initia.U, INITIA, 7,  10070)
TRACE_LOOP(initia.U, INITIA, 8,  10080)
TRACE_LOOP(initia.U, INITIA, 9,  10090)
TRACE_LOOP(initia.U, INITIA, 10, 10100)
TRACE_LOOP(initia.U, INITIA, 11, 10110)
