#ifdef __GNUC__
#pragma implementation
#endif

#include "AsyncMessage.h"
#include "MessageContainer.h"
#include "ContainerRepresentative.h"
#include "AsyncMessageContainer.h"
#include "OutputStream.h"

#ifdef __GNUC__
#pragma implementation
#endif

AsyncMessage::AsyncMessage(char* initData,int intSize,int DelData) : Message(initData,intSize,DelData) 
{
messageId = 0;
ctype = 3;
}

AsyncMessage::AsyncMessage() : Message(0)
{
messageId = 0;
ctype = 3;
}

void
AsyncMessage::receive()
{
asyncMessageContainer->receive(this);
}

void
AsyncMessage::cprobe()
{
asyncMessageContainer->cprobe(type);
}

int
AsyncMessage:: ireceive()
{
messageId = asyncMessageContainer->ireceive(this);
if(messageId == -1 ) return 0; 
else return (messageId + 1);
}

int
AsyncMessage::iprobe()
{
if(messageId == -1) return 1; // already found
else return asyncMessageContainer->probe(type);
	
}

void
AsyncMessage::iwait()
{
if(messageId == -1) return;
else asyncMessageContainer->wait(messageId);
}

int
AsyncMessage::idone()
{
if(messageId == -1) return 1;
else return asyncMessageContainer->done(messageId);
}

void
AsyncMessage:: cancel(){
if(messageId == -1) return;
asyncMessageContainer->cancel(messageId);
}

void
AsyncMessage::setMessId(int mid)
{
messageId = mid;
}

int
AsyncMessage::messid()
{
return messageId;
}

void
AsyncMessage::setType(int t)
{
type = t;
}

int
AsyncMessage::getType()
{
return type;
}


/*
#include "ClassInstaller.h"
DEFINECLASS("Message",Message,0,0, 0);
DEFINECLASS("RPCMessage",RPCMessage,Message,0,0);
*/
