#ifdef __GNUC__
#pragma implementation
#endif

#include "iPSCMessage.h"
#include "AsyncMessageContainer.h"
#include "HypercubeMessageContainer.h"
#include "Byte.h"
#include "OutputStream.h"

#ifdef __GNUC__
#pragma implementation
#endif

iPSCMessage::iPSCMessage(char* initData,int intSize,int DelData) : AsyncMessage(initData,intSize,DelData)
{
dest_pid = 0;// always zero
source_node_id =0;//
}


iPSCMessage::iPSCMessage()
{
source_node_id = dest_node_id = dest_pid = 0;
}

int
iPSCMessage:: getDestPid()
{
return dest_pid;
}

int
iPSCMessage:: getDestId()
{
return dest_node_id;
}

void
iPSCMessage:: setDestId(int node)
{
dest_node_id = node;
//asyncMessageContainer = (HypercubeMessageContainer *) iPSCNameServer->lookup(dest_node_id);
}

void
iPSCMessage:: setSourceId(int node)
{
source_node_id = node;

}
int
iPSCMessage:: getSourceId()
{
return source_node_id ;
}

void
iPSCMessage::setReceivePort(HypercubeMessageContainer *mp)
{
asyncMessageContainer = mp;
}

/*
#include "ClassInstaller.h"
DEFINECLASS("Message",Message,0,0, 0);
DEFINECLASS("RPCMessage",RPCMessage,Message,0,0);
*/
