/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987, 1988, 1989, 1990, 1991, 1992
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

/*
 *  defDISTRIBUTED.h
 *
 * This file contains no code, nor should it.  Its sole purpose is to provide
 * a dependency for any file that depends on the ZOOT proprocessor variable
 * which is controlled by the corresponding line in Config.mk.
 * Any file that contains the preprocessor directive
 *	#ifdef ZOOT
 * should also include, immediately prior to that line, the directive
 *	#include "defZOOT.h"
 * After changing the ZOOT line in Config.mk, you should touch defZOOT.h
 * in order to force recompilation of any file that depends on this symbol.
 */
