UNIXPROG = sh
UNIXDIR = $(TOP)/UnixApplications/$(UNIXPROG)

SOURCES = setbrk.c builtin.c blok.c stak.c cmd.c fault.c main.c word.c \
	string.c name.c args.c xec.c service.c error.c io.c print.c \
	macro.c expand.c ctype.c msg.c

all: $(UNIXPROG)

UNIXDEFIES = -Drename=rename1
UNIXLIBS = $(TOP)/Configure/Libraries/Unix/$(MACHINE)/libUCompat.a
UNIXHVPATH = $(UNIXDIR)
UNIXVPATH = $(UNIXDIR)

include ../../UnixApplicationsCommon.mk

sh : $(OBJECTS) $(STARTS) $(EXTRAOBJECTS) $(LIBS) 
ifndef NODEPENDENCIES
	@if [ ! -w D/$*.dep ]; then \
	    echo "Breaking the link on D/$*.dep"; \
	    cp D/$*.dep .; \
	    $(RM) D/$*.dep; \
	    cat $*.dep >D/$*.dep; \
	    $(RM) $*.dep; \
	else : ; \
	fi
	@echo "$@: $(STARTS) $(EXTRAOBJECTS) $(LIBS)" >>D/$*.dep
ifdef COLLECT
	@echo "Collecting $*.o"; \
	$(RM) _$@_ctdt.[cso]; \
	$(COLLECT) -o _$@_ctdt.s $(OBJECTS) $(LIBS); \
	touch _$@_ctdt.s; \
	$(AS) -o _$@_ctdt.o _$@_ctdt.s
	@echo "Linking $@"; \
	$(RM) $@; \
	$(LD) -o $@ $(LDFLAGS) $(STARTS) $(OBJECTS) _$@_ctdt.o $(EXTRAOBJECTS) $(LIBS)
	@$(RM) _$@_ctdt.[cso]
else
	@echo "Linking $@"; \
	$(LD) -o $@ $(LDFLAGS) $(EXTRALDFLAGS) $(STARTS) $(OBJECTS) $(EXTRAOBJECTS) $(LIBS)
endif
endif
