#ifdef __GNUC__
#pragma implementation
#endif

#include "Message.h"
#include "MessageContainer.h"
#include "IteratingList.h"
#include "DistributedNameServer.h"
#include "GroupRepresentative.h"
#include "ContainerGroup.h"
#include "Transport.h"
#include "Address.h"

#ifdef __GNUC__
#pragma implementation
#endif

// #define GR_DEBUG 1

extern Address * LocalAddress;
extern int dumpHex(unsigned char *c, int len);

// created remotely by the DNS to locate reemote port groups

GroupRepresentative:: GroupRepresentative ( Address* location, Transport *transport, ContainerGroup* cg)
 : SendGroupRepresentative(location, transport, cg )

{
}


MessageContainer*
GroupRepresentative:: next()
{
	return	_localCG->next();
}

void
GroupRepresentative:: reset()
{
	_localCG->reset();
}

void
GroupRepresentative::listMembers()
{
_localCG->listMembers();
}


void
GroupRepresentative:: add( char* str)
{
	_localCG->add(str);
	//notifyAdd();
}

void
GroupRepresentative:: add( MessageContainer *mp)
{
        _localCG->add(mp);
	//notifyAdd();
}

void
GroupRepresentative:: remove( char* str)
{
	_localCG->remove(str);
	//notifyRemove();
}
void
GroupRepresentative:: remove( MessageContainer * mp)
{
	_localCG->remove(mp);
	//notifyRemove();
}

int
GroupRepresentative:: isMember(MessageContainer *mp)
{
	if(_localCG->isMember(mp)) return 1;
	else return 0;
/*
	else {
//	find on the net;
	} else { // nowhere to be found 
	return 0;
	} 
*/
}

void 
GroupRepresentative::notifyRemove(Link *lk) 
{
}

void 
GroupRepresentative::notifyAdd(Link *lk) {
}

#include "ClassInstaller.h"
DEFINECLASS("GroupRepresentative",GroupRepresentative,SendGroupRepresentative,0,0);
