#ifdef __GNUC__
#pragma implementation
#endif

#include "OutputStream.h"
#include "ContainerRepresentative.h"
#include "Container.h"
#include "MessageContainer.h"
#include "Message.h"
#include "LocalTransport.h"
#include "Assert.h"
#include "Byte.h"

#ifdef __GNUC__
#pragma implementation
#endif


extern void Checksum( char * , int);

//#define LT_DEBUG 1

BufferedTransport::BufferedTransport()
{

/* choose the appropriate transfer protocol */

/*
BufferedTransferObject = DoubleTransfer;
transfer = new DoubleTransfer;
*/
Console() << "BufferedTransport::BufferedTransport"
	<< "Created" << eor;

}

/* double copy hardwired in */
/* Only change the dataPtr and datSize fields
 * of the message, and destination.
 */ 
int 
BufferedTransport::send(Message *message)
{
#ifdef LT_DEBUG
	Console() << "BufferedTransport::send\n" << eor;
	// Console() << "msg->data\n" << (char*)message->data() << eor;
	Console() << "msg->size\n" << message->size() << eor;
#endif
	Message *msg;
 switch(message->getcType()) {
                case 1:
                        RPCMessage *rmsg = new RPCMessage;
			if( ((RPCMessage*)message)->getReplyPort() != 0)
                        rmsg->setReplyToPort(((RPCMessage*)message)->getReplyPort()->cr);
                        else rmsg->setReplyToPort(((RPCMessage*)message)->getReplyToPort());
                        msg = rmsg;
#ifdef LT_DEBUG
	Console() << "BufferedTransport::RPCswitch\n" << eor;
#endif LT_DEBUG
                        break;
                default:
#ifdef LT_DEBUG
		Console() << "BufferedTransport::RPC \n" << eor;
#endif LT_DEBUG
                        msg = new Message(0);
                        break;
        }
	msg->setcType( message->getcType());
        msg->setSize(message->size());
	msg->setDestination(message->destination());

/*
 * this should be done by the transfer mechanism
 */
        ByteCopy(message->data(), msg->data(), message->size());
	//Checksum((char*)msg->data(),message->size());
        message->destination()->localContainer()->put(msg);
	wait();
}
#include "ClassInstaller.h"
DEFINECLASS("BufferedTransport",BufferedTransport,Transport,0, 0);
