#ifdef __GNUC__
#pragma implementation
#endif

#include "MultiRecMessContainer.h"
#include "Message.h"
#include "Semaphore.h"
#include "Transport.h"
#include "LocalTransport.h"
#include "NameServer.h"
#include "DistributedNameServer.h"

#ifdef __GNUC__
#pragma implementation
#endif

// #define Multi_DEBUG 1

MultiRecMessContainer :: MultiRecMessContainer (char *str) : MessageContainer(str)
{
#ifdef Multi_DEBUG
    Console() << "MultiRecMessContainer::MultiRecMessContainer" << eor;
#endif

}

/*
 * This method is called by the appropriate
 * Transport Object to insert a message into 
 * a queue
 */

void MultiRecMessContainer :: put (Message *msg)
{
#ifdef Multi_DEBUG
 Console() << "MultiRecMessContainer :: put" << eor;
#endif

    int index;
    if(msg->getcType() == 2) {
	///Console() << "depositing " << eor;
	nextPutIndex(&index);
	messageBuffer [index] = msg;
    	messageAvailable -> V ();
   }
#ifdef Multi_DEBUG
Console() << "MultiRecMessContainer :: done" << eor;
#endif
}

#include "ClassInstaller.h"
DEFINECLASS("MultiRecMessContainer",MultiRecMessContainer,MessageContainer,0,0);
