#ifdef __GNUC__
#pragma implementation
#endif

#include "SystemInterface.h"
#include "ThisProcess.h"
#include "Process.h"
#include "ProcessStar.h"
#include "NameServer.h"
#include "ClassStar.h"
#include "OutputStream.h"
#include "Assert.h"
#include "String.h"
#include "DistributedNameServer.h"
#include "MessageContainer.h"
#include "Message.h"
#include "String.h"

#ifdef __GNUC__
#pragma implementation
#endif


static int
checksum(char *buf , int s) 
{
	int sum = 0;
	for ( int i = 0; i < s; i++ ) {
			sum += *buf++; 
	}
	return sum;
}


static void
serverProcess(int, char **)
{
    int bsize = 4096;

//    Console() << "In server process \n";
   DistributedNameServer *StandardDistributedNameServer =
           (DistributedNameServer *)(ProxiableObject *)StandardNameServer-> lookup("StandardDistributedNameServer", "DistributedNameServer");
	Console() << " before new rm port " << eor;
	MessageContainer *mport = new MessageContainer ("Server");
	char * buf = new char[bsize];
	RPCMessage msg(buf,bsize,0);

	int count = 0;
	int size = 0;
	while(1) { 
		msg.setReceivePort(mport);
		//Console() << "serverProcess -- wait for a message\n" << eor;
        	msg.setUserData((char*)buf,bsize);
        	msg.rpcReceive();
	        //Console() << "Server got " << eor;
          //      buf[0] << "\n" << eor;
	//	buf[0] = 34;
		//checksum((char *)msg.data(),msg.size());
                msg.setUserData((char*)msg.data(),msg.size());
		count++;
		size += msg.size();
		msg.reply();
		if (* ((char *)msg.data()) == '\0' ) {
			Console() << "\n\nServer: received " << 
				count << " packet, total transferred was "
				<< size << " bytes\n" <<
				eor;
			count = 0;
			size = 0;
			}
	}
}



void
startRPCServer () {
Process *p = new SystemProcess( (PFV) serverProcess, thisProcess()->domain(), huge, 0);
        Assert( p != 0);
        p->setName( "#serverProcess");
        p->ready();
        thisProcess()->relinquishProcessor();
	
}
