/* 
 *
 * This file defines a set of struictures that can 
 * used for distributed communication. 
 * The base message class is a
 *
 */

#ifndef MessageList_h
#define MessageList_h

#ifdef __GNUC__
#pragma interface
#endif

class IteratingList;
class MLink;
/* 
 * This sends an asynchronous message through the system
 */

class MessageList {
protected:
    int msgs; /* number of messages */
    IteratingList *localList; /* list of messages */
public:
      MessageList(); /* default is to delete related data */
      virtual ~MessageList();
    virtual int isEmpty();
    virtual int number();

    virtual void add(Message*);
    virtual Message* remove(Message*msg);
    virtual Message* remove();

    virtual void reset();
    virtual Message *nextMessage();
};


#endif MessageList_h
