
/* 
 *
 * This file defines a set of struictures that can 
 * used for distributed communication. 
 * The base message class is a
 *
 */

#ifndef iPSCMessage_h
#define iPSCMessage_h

#ifdef __GNUC__
#pragma interface
#endif

#include "AsyncMessage.h"

class HypercubeMessageContainer;

/* 
 * This receives an asynchronous message through the system
 */

class iPSCMessage : public AsyncMessage {
int source_node_id;
int dest_node_id;
int dest_pid;
public:
	iPSCMessage();
	iPSCMessage(char*,int,int);
	int getDestPid();

	void setSourceId(int);
	int getSourceId();

	void setDestId(int);
	int getDestId();
        virtual void setReceivePort(HypercubeMessageContainer *);


};


#endif iPSCMessage_h

