/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987, 1988, 1989 The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Author: Vincent F. Russo (russo@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
/*
 *	$Header: /usr/local/cvsroot/Choices/vcnew/Includes/ConfigurationFiles/PCi586/MACHINEKERNEL.h,v 1.3 2004/05/03 17:09:19 neelakan Exp $
 */

#ifndef KERNEL_H
#define KERNEL_H


#ifdef __GNUC__
#pragma interface
#endif

#include "PCi586Kernel.h"

#define MACHINEKERNEL PCi586Kernel

#endif
