#ifdef __GNUC__
#pragma interface
#endif

#include "NetworkBuffer.h"
#include "NetworkWalker.h"
#include "EthernetAdministrator.h"

class EthernetTransfer;
class NetworkBuffer;

class MessageWalker : public NetworkWalker {
	friend EthernetAdministrator;
	NetworkBuffer* _aBuffer;
protected:
        EthernetTransfer *_atransfer;
public:
        MessageWalker(EthernetTransfer* );
        void    walk( NetworkBuffer * buff );
        void    setBuffer( NetworkBuffer * buff );
};

