#ifndef ATable_h
#define ATable_h

#ifdef __GNUC__
#pragma interface
#endif

#include "ProxiableObject.h"
#include "ProxiableObjectStar.h"
#include "Address.h"
#include "ClassStar.h"

//extern ClassStar ATableClass;

// 4 sparcs and the two multimaxes

class Node;

class ATable : public ProxiableObject {
public:

   	virtual Node* node(Address*)=0;
   	virtual Address * machineAddress(unsigned index)=0;
    	virtual char * machineName(unsigned index)=0;
    	virtual unsigned machineIndex(char * name)=0;
    	virtual unsigned machineIndex(Address * address)=0;
    	virtual unsigned localIndex() =0;
    	virtual char * localName() =0;
    	virtual Address * localAddress() =0;


};

#endif /* ATable_h */
