#ifndef NetworkTable_h
#define NetworkTable_h

#ifdef __GNUC__
#pragma interface
#endif

#include "ATable.h"
#include "Node.h"

class Node;
class Address;
class ClassStar;

// extern ClassStar NetworkTableClass;

// 4 sparcs and the two multimaxes

static const int NumMachines = 10;

class NetworkTable : public ATable {
protected:
	Node *Host[NumMachines];
   	unsigned _localIndex;    // index for thi s machine
   	 Address * _localAddress;    // address for t his machine
    	char * _localName;                  // name of this machine
	int *seqNum[BufSize];
public:
   Node* node(Address*);
   Address * machineAddress(unsigned index);
    char * machineName(unsigned index);
    unsigned machineIndex(char * name);
    unsigned machineIndex(Address * address);
    char * machineName(Address* );
    void list();

    unsigned localIndex() { return _localIndex; };
    char * localName() { return _localName; };
    Address * localAddress() { return _localAddress; };

	NetworkTable();
	// Class* classOf();
};

#endif /* NetworkTable_h */
