#ifndef Node_h
#define Node_h

#ifdef __GNUC__
#pragma interface
#endif

#include "ProxiableObject.h"

extern ClassStar NodeClass;
class Address;
static const int BufSize = 8;


class Node : public ProxiableObject {

	Address *_address;
	char *name;
	int seqNum[BufSize];
public:
	Class* classOf();
	Node(Address*, char*,int);
	char* getName();
	int getSeqNum(int);
	void setSeqNum(int,int);
	long id();
};

#endif /* Node_h */
