/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987, 1988, 1989 The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Author: Lun Xiao (xiao@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
/*
 * TarRootEntry.h - Tar Directory Entry (inode) class
 *
 *	$Header: /projects/choices/old/cvsroot/choices/Includes/FileSystems/TarRootEntry.h,v 1.1 2004/06/03 01:58:43 jcarlyle Exp $
 */

#ifndef TarRootEntry_h
#define TarRootEntry_h


#ifdef __GNUC__
#pragma interface
#endif

#include "RootEntry.h"

extern ClassStar TarRootEntryClass;
class TarRootEntry : public RootEntry {
public:
	Class * classOf();

	TarRootEntry( int inumber,
		     MemoryObjectContainer * container,
		     PersistentMemoryObject * source );
};

#endif	TarRootEntry_h
