/*********************
*HelloWorldDevice    *
*Abstract base class *
*for "hello world"   *
*drivers             *
*********************/
//SCOTT KIRCHER

#ifndef __HELLOWORLDDEVICE_H__
#define __HELLOWORLDDEVICE_H__

//a Hello World device has only one function
//"helloWorld" which should be implemented in
//a child class.

class HelloWorldDevice //abstract base class
{
public:
	//in general, these won't be empty
	//but they are not allowed to use any pure virtual functions
	HelloWorldDevice() {;}
	virtual ~HelloWorldDevice() {;}

public:
	void initialize() {helloWorld();}

protected:
	virtual void helloWorld()=0; //pure virtual

};

#endif
