/*
 * $Header: /projects/choices/old/cvsroot/choices/Includes/Libraries/Math/Nan.h,v 1.1 2004/06/03 01:58:43 jcarlyle Exp $
 */
/*	5.2 SID nan.h	1.3	*/
/* Handling of Not_a_Number's (only in IEEE floating-point standard) */

#ifdef __GNUC__
#pragma interface
#endif


#define KILLFPE()	sc -> formattedWrite ("Floating point exception\n")

#if u3b || u3b5 || sparc
#define NaN(X)	(((union { double d; struct { unsigned :1, e:11; } \
				s; } *)&X)->s.e == 0x7ff)
#define KILLNaN(X)	if (NaN(X)) KILLFPE()
#else
#if n16
union __NaN {
	double d;
	float f;
	long i[2];
	struct {
		unsigned dflow:32;
		unsigned dfhi:20;
		unsigned de:11;
		unsigned :1;
	} ds;
	struct {
		unsigned ff:23;
		unsigned fe:8;
		unsigned :1;
	} fs;
};
#define NaN(X)	((((union __NaN *)&X)->ds.de == 0x7ff))
#define NaD(X)	((((union __NaN *)&X)->ds.de == 0x7ff) || \
		((((union __NaN *)&X)->ds.de == 0) && \
		((((union __NaN *)&X)->i[0] != 0) || \
		((((union __NaN *)&X)->i[1]&0x7fffffff) != 0))))
#define NaF(X)	((((union __NaN *)&X)->fs.fe == 0xff) || \
		((((union __NaN *)&X)->fs.fe == 0) && \
		((((union __NaN *)&X)->i[0]&0x7fffffff) != 0)))
#define KILLNaN(X)	if (NaN(X)) KILLFPE()
#else
#define Nan(X)	0
#define KILLNaN(X)
#endif
#endif
