#ifndef _BinarySemaphore_H_
#define _BinarySemaphore_H_
#include "common.h"
#include "Semaphore.h"

extern ClassStar BinarySemaphoreClass;
class BinarySemaphore :public Semaphore
{
  public:
    BinarySemaphore(ProxiableObject* p) :Semaphore((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    BinarySemaphore(int initialCount); // __attribute((always_inline));

    virtual ~BinarySemaphore();
    
  protected:
    
    BinarySemaphore(void* k);
    
};

#endif
