#ifndef _FileObject_H_
#define _FileObject_H_
#include "common.h"
class MemoryObjectContainer;
class PersistentMemoryObject;
class OutputStream;
#include "PersistentMemoryObject.h"

extern ClassStar FileObjectClass;
class FileObject :public PersistentMemoryObject
{
  public:
    FileObject(ProxiableObject* p) :PersistentMemoryObject((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    FileObject(unsigned int numberOfUnits, int log2UnitSize, int idNumber, MemoryObjectContainer* container, PersistentMemoryObject* source, int offset); // __attribute((always_inline));

    virtual void writeIdNumber(OutputStream* arg1); // __attribute((always_inline));

    virtual ~FileObject();
    
  protected:
    
    FileObject(void* k);
    friend class MemoryObjectContainer;

};

#endif
