#ifndef _FileObjectView_H_
#define _FileObjectView_H_
#include "common.h"
class MemoryObjectContainer;
class PersistentMemoryObject;
#include "FileObject.h"

extern ClassStar FileObjectViewClass;
class FileObjectView :public FileObject
{
  public:
    FileObjectView(ProxiableObject* p) :FileObject((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    FileObjectView(unsigned int numberOfUnits, int log2UnitSize, int idNumber, MemoryObjectContainer* container, PersistentMemoryObject* source, int offset); // __attribute((always_inline));

    virtual ~FileObjectView();
    
  protected:
    
    FileObjectView(void* k);
    
};

#endif
