#ifndef _NameServer_H_
#define _NameServer_H_
#include "common.h"
class ProxiableObject;
class Class;
#include "ProxiableObject.h"

extern ClassStar NameServerClass;
class NameServer :public ProxiableObject
{
  public:
    NameServer(ProxiableObject* p) :ProxiableObject((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    virtual void bind(char* name, ProxiableObject* arg2); // __attribute((always_inline));

    virtual ProxiableObject* lookup(char* name, Class* arg2); // __attribute((always_inline));

    virtual ProxiableObject* lookup(char* name, char* arg2); // __attribute((always_inline));

    virtual int unbind(char* name); // __attribute((always_inline));

    virtual void clone(NameServer* nameServer1); // __attribute((always_inline));

    virtual ~NameServer();
    
  protected:
    
    NameServer(void* k);
    friend class Interface;
    friend class Class;
    friend class Process;

};

#endif
