#ifndef _PeriodicTimer_H_
#define _PeriodicTimer_H_
#include "common.h"
#include "Timer.h"

extern ClassStar PeriodicTimerClass;
class PeriodicTimer :public Timer
{
  public:
    PeriodicTimer(ProxiableObject* p) :Timer((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    PeriodicTimer(); // __attribute((always_inline));

    virtual unsigned int start(unsigned int microseconds); // __attribute((always_inline));

    virtual unsigned int stop(); // __attribute((always_inline));

    virtual unsigned int residual(); // __attribute((always_inline));

    virtual void await(); // __attribute((always_inline));

    virtual ~PeriodicTimer();
    
  protected:
    
    PeriodicTimer(void* k);
    
};

#endif
