#ifndef PROCESSRESOURCEUSAGE_H
#define PROCESSRESOURCEUSAGE_H

#include "Time.h"

class ProcessResourceUsage {
public:
  TimeValue userTime;
  TimeValue systemTime;
  int maxResidentSetSize;
  int ixResidentSetSize;
  int idResidentSetSize;
  int isResidentSetSize; 
  int minorFault;
  int majorFault;
  int numSwap;
  int inBlock;
  int outBlock;
  int msgSend;
  int msgRecv;
  int sigRecv;
  int volContextSwitch;
  int involContextSwitch;
  ProcessResourceUsage() 
  {
    maxResidentSetSize = ixResidentSetSize =
    idResidentSetSize = isResidentSetSize =
    minorFault = majorFault  =
    numSwap = inBlock = outBlock =
    msgSend = msgRecv = sigRecv =
    volContextSwitch = involContextSwitch = 0;
  }
};

#endif
