#ifndef _Semaphore_H_
#define _Semaphore_H_
#include "common.h"
#include "ProxiableObject.h"

extern ClassStar SemaphoreClass;
class Semaphore :public ProxiableObject
{
  public:
    Semaphore(ProxiableObject* p) :ProxiableObject((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    Semaphore(int initialCount, int maxCount); // __attribute((always_inline));

    virtual void P(); // __attribute((always_inline));

    virtual void V(); // __attribute((always_inline));

    virtual ~Semaphore();
    
  protected:
    
    Semaphore(void* k);
    friend class Process;

};

#endif
