#ifndef _TimeoutTimer_H_
#define _TimeoutTimer_H_
#include "common.h"
#include "Timer.h"

extern ClassStar TimeoutTimerClass;
class TimeoutTimer :public Timer
{
  public:
    TimeoutTimer(ProxiableObject* p) :Timer((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    TimeoutTimer(); // __attribute((always_inline));

    virtual unsigned int start(unsigned int microseconds); // __attribute((always_inline));

    virtual unsigned int stop(); // __attribute((always_inline));

    virtual unsigned int residual(); // __attribute((always_inline));

    virtual void await(); // __attribute((always_inline));

    virtual ~TimeoutTimer();
    
  protected:
    
    TimeoutTimer(void* k);
    
};

#endif
