#ifndef _TimingInterface_H_
#define _TimingInterface_H_
#include "common.h"
#include "ProxiableObject.h"

extern ClassStar TimingInterfaceClass;
class TimingInterface :public ProxiableObject
{
  public:
    TimingInterface(ProxiableObject* p) :ProxiableObject((void*)0) {kernelObj=p->getKernelObj();}
    virtual Class *classOf();

    TimingInterface(); // __attribute((always_inline));

    virtual void nullCall(); // __attribute((always_inline));

    virtual void intParam(int arg1); // __attribute((always_inline));

    virtual void twoIntParams(int arg1, int arg2); // __attribute((always_inline));

    virtual void ptrParam(char* arg1); // __attribute((always_inline));

    virtual void proxyParam(TimingInterface* arg1); // __attribute((always_inline));

    virtual TimingInterface* returnOldProxy(); // __attribute((always_inline));

    virtual TimingInterface* returnNewProxy(); // __attribute((always_inline));

    virtual TimingInterface* returnOldProxyAsterisk(); // __attribute((always_inline));

    virtual TimingInterface* returnNewProxyAsterisk(); // __attribute((always_inline));

    virtual void setOutCallInterface(TimingInterface* arg1); // __attribute((always_inline));

    virtual void setOutProxyInterface(TimingInterface* arg1); // __attribute((always_inline));

    virtual unsigned int outNullCalls(unsigned int arg1); // __attribute((always_inline));

    virtual unsigned int outIntParams(unsigned int arg1); // __attribute((always_inline));

    virtual unsigned int outTwoIntParams(unsigned int arg1); // __attribute((always_inline));

    virtual unsigned int outPtrParams(unsigned int arg1); // __attribute((always_inline));

    virtual unsigned int outProxyParams(unsigned int arg1, unsigned int arg2); // __attribute((always_inline));

    virtual unsigned int outRefUnref(unsigned int arg1); // __attribute((always_inline));

    virtual unsigned int outReturnOldProxyAsterisks(unsigned int arg1); // __attribute((always_inline));

    virtual unsigned int outReturnNewProxyAsterisks(unsigned int arg1); // __attribute((always_inline));

    virtual ~TimingInterface();
    
  protected:
    
    TimingInterface(void* k);
    
};

#endif
