/*
 *	$Header: /projects/choices/old/cvsroot/choices/Includes/Libraries/SystemInterface/Portable/Lock.h,v 1.1 2004/06/03 01:58:43 jcarlyle Exp $
 */

#ifndef Lock_h
#define Lock_h

#ifdef __GNUC__
#pragma interface
#endif


class Lock {
	char _state;
public:
	Lock();

	void acquire();
	void release();

	int isFree();
};

inline
Lock::Lock()
{
	_state = 0;
}

inline void
Lock::release()
{
	_state--;
}

inline int
Lock::isFree()
{
	return (_state == 0);
}

#endif // Lock_h
