#ifndef GenericARMSerial_h
#define GenericARMSerial_h

/*
 * This file is part of the Choices Operating System
 * Developed by:
 *      The Mobile Operating Systems Group
 *      Department of Computer Science
 *      University of Illinois at Urbana-Champaign
 *      201 N. Goodwin Ave.
 *      Urbana, IL 61801
 *
 * Copyright 1987-2006 University of Illinois Board of Trustees. All rights
 * reserved. 
 *
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 */

/*
 * GenericARM/GenericARMSerial.h: Generic class for serial port interaction.
 */


class GenericARMSerial {
 public: 
    GenericARMSerial();
    virtual ~GenericARMSerial() {}

    virtual void Initialize() = 0;
    virtual void putChar(char) = 0;
    virtual char getChar() = 0;
    virtual int  tstChar() = 0;
    virtual void enableInterrupts() = 0;
    virtual void disableInterrupts() = 0;
};

#endif /* GenericARMSerial_h */
