/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987-1992
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

#ifndef SS1DiskPartition_h
#define	SS1DiskPartition_h


#ifdef __GNUC__
#pragma interface
#endif

class  SS1DiskPartition {
public:
	unsigned _size;
	unsigned _offset;
	SS1DiskPartition(unsigned sz, unsigned off);
	~SS1DiskPartition(){}
};

inline
SS1DiskPartition::SS1DiskPartition(unsigned sz, unsigned off)
{
	_size = sz;
	_offset = off;
}

#endif SS1DiskPartition_h
