/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987-1992
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

#ifndef TYPES_h
#define TYPES_h


#ifdef __GNUC__
#pragma interface
#endif

typedef unsigned char		int8;
typedef unsigned short		int16;
typedef unsigned long		int32;
typedef unsigned long long	int64;

#include <signal.h>
typedef sigset_t IntStorage;



#define WORDS_BIG_ENDIAN 1
#define BITS_PER_UNIT 8

#endif /* TYPES_h */
