/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987-1992
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
/*
 * VCMagic.h:
 */

#ifndef VCMagic_h
#define VCMagic_h


#ifdef __GNUC__
#pragma interface
#endif

#define MACHINE_MAGIC_1 0514
#define MACHINE_MAGIC_2 0514
#define MACHINE_MAGIC_3 0514	/* This and following not used here, */
#define MACHINE_MAGIC_4 0514	/* but are used for other machines   */
#define MACHINE_MAGIC_5 0514
#define MACHINE_MAGIC_6 0514

#endif /* VCMagic_h */
