/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1990,1991 The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 *
 * Author: Amit Parghi (parghi@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

/*
 *	NetworkTest.h
 *
 *	Misc useful stuff for *testing* Network programs
 *
 *	$Id: NetworkTest.h 610 2006-06-12 23:21:35Z jcarlyle $
 *
 */

#ifndef NetworkTest_h
#define NetworkTest_h


#ifdef __GNUC__
#pragma interface
#endif


class NetworkBufferFreeList;
class NetworkBufferManager;

#include "NetworkWalker.h"

class NetworkTestWalker : public NetworkWalker {
public:
    NetworkTestWalker();
    virtual ~NetworkTestWalker();

    virtual void walk(NetworkBuffer *);
};

#endif /* ! NetworkTest_h */
