/*
 * CCCP is still the king.  CCCP is everywhere.
 */

#ifndef CCCP_h
#define CCCP_h


#ifdef __GNUC__
#pragma interface
#endif

#include "Conduit.h"

class Process;

extern volatile int CCCP_NAME; // See CCCP.cc

class CCCPConduit : public ApplicationConduit {
protected:
	static void cccpDaemon( CCCPConduit * client );
	SemaphoreRegulatedMessageFIFO _incoming;
	Process * _daemon;
public:
	CCCPConduit();
	~CCCPConduit();

	Return_Code	insertFromBelow( ConduitMessage * msg );
	SemaphoreRegulatedMessageFIFO *	queue();
	TCPConduit * tcpConduit();
};


inline SemaphoreRegulatedMessageFIFO  *
CCCPConduit::queue()
{
	return( & _incoming );
}
inline TCPConduit *
CCCPConduit::tcpConduit()
{
	return( myTCPConduit );
}
#endif CCCP_h
