#ifdef __GNUC__
#pragma implementation
#endif

#ifdef UNIX
#define ASSERT


#ifdef __GNUC__
#pragma implementation
#endif

#include <stdio.h>
#include "Assert.h"

extern "C" int strcmp(const char *, const char *);
extern "C" void exit(int);

void
AssertionFailure::raise()
{
	if ( ! strcmp( _file, _baseFile ) )
		fprintf(stderr, "Assertion (%s) failed in %s, line %d\n",
					_exp, _file, _line );
	else
		fprintf(stderr,
		    "Assertion (%s) failed in %s (#include'd in %s), line %d\n",
					_exp, _file, _baseFile, _line );

	exit(1);
}

#endif
