#ifdef __GNUC__
#pragma implementation
#endif


/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987-1992
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
/*
 * 
 */

#include "asmutil.h"

#ifdef __GNUC__
#pragma implementation
#endif

extern "C" void llva_push_all_regs(void)
{
  asm volatile( "pushal; nop" );
}

extern "C" void llva_store_stackpointer(char * &stackPointer)
{
  LOAD_REG_FROM_MEM(%esp, stackPointer);
}

extern "C" unsigned * llva_retr_stackpointer(void)
{
  unsigned *sp;

  asm volatile("mov %%sp, %w0" : "=r"(sp));
  return (unsigned*)((unsigned*)sp)[14];
}
