
#include "ConstructorDescriptor.h"
#include "exception.h"

ConstructorDescriptor::ConstructorDescriptor(void* k) :ProxiableObject((void*)0) {kernelObj=k;}

ConstructorDescriptor::ConstructorDescriptor(char* name, char* clss, unsigned int num, PConstructor arg4) :ProxiableObject((void*)0)
{
  kernel_exception::EXCODE code;
  char paramBuffer[0+sizeof(name)+sizeof(clss)+sizeof(num)+sizeof(arg4)];
  *(char**)(paramBuffer) = name;
  *(char**)(paramBuffer+sizeof(name)) = clss;
  *(unsigned int*)(paramBuffer+sizeof(name)+sizeof(clss)) = num;
  *(PConstructor*)(paramBuffer+sizeof(name)+sizeof(clss)+sizeof(num)) = arg4;

  asm volatile (
		"mov r0, #0\n\t"
		"mov r2, %1\n\t"
		"mov r3, %2\n\t"
		"swi #3870\n\t"
		"str r0, %0"
		: "=m"(code) : "r" (paramBuffer), "r"(&kernelObj) : "r0", "r1", "r2", "r3" 
		);
  kernel_exception::throw_exception(code);
  
}

ConstructorDescriptor::~ConstructorDescriptor() {}
#include "ClassInstaller.h"
DEFINECLASS("ConstructorDescriptor",ConstructorDescriptor,ProxiableObject,0,0);

