/*
 */


/*
 * The ConstructProxy wants arguments on the stack, and _PostConstructProxy
 *   wants them in registers like usual.
 */
#define CONSTRUCT(SYM,NAME,CLASS,NUMBER,LEN) \
	.globl	_##SYM##; \
	_##SYM##:; \
	addr	.SYM, tos;      /* pointer to constructor name next */ 	\
	jsr	0(_ConstructProxyPtr); 	/* call ConstructProxyStub */	\
	addr	__vt$##CLASS,tos;	/* pass pointer to vtbl as arg 3 */ \
	br	.FinishConstructProxy; /* the rest can be common code */ \
	.data; 								\
	.SYM:	.ascii NAME; .byte 0; 					\
	.text 

.FinishConstructProxy:
	movd	r0, r1	    	/* pass return value as arg 2 */
	movd	12(sp), r0	/* pass old 'this' as arg 1 */
	movd    r1, tos
	movd    r0, tos 
	jsr	__PostConstructProxy	/* drop to C++ assist */
	adjspb  $-2*4
	movd	8(sp), r1	/* get return address back */
	adjspb	$-12		/* skip all extra stuff on stack */
	jump	r1 		/* return! */

#include "CONSTRUCTORS.h"
