#ifdef __GNUC__
#pragma implementation
#endif

/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987, 1988, 1989, 1990, 1991
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Author: Swee Boon Lim (sblim@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
/*
 * ProcessArgs.cc
 */

#include "Assert.h"
#include "OutputStream.h"


#ifdef __GNUC__
#pragma implementation
#endif

class ExecInfo;

ExecInfo * UA_ExecInfo = 0;

void ProcessArgs( int & argc, char ** & argv )
{
/*
	Console() << "argc " << argc << ", argv " << asHex((int) argv) 
		<< "\n" << eor;
	for (int i = 0; i < argc; i++)
		Console() << "argv[ " << i << " ] = " << asHex((int) argv[i]) 
			<< "\n" << eor;
 */
	if (argc >= 2) {
		if ( argv[1] == 0 ) {
			UA_ExecInfo = (ExecInfo *) argv[0];
			Assert( UA_ExecInfo != 0 );
			argc -= 2;
			argv += 2;
		}
	}

/*
        Console() << "argc " << argc << ", argv " << asHex((int) argv) 
		<< "\n" << eor;
 */
}






