#ifdef __GNUC__
#pragma implementation
#endif

/*
 * Routines to get things from the machine.
 */

#include "Assert.h"
#include "OutputStream.h"
#include "PROM.h"
#include "String.h"

GenericARMPROM::GenericARMPROM()
{
    unsigned int *intPtr;

    intPtr      = (unsigned int *) (GenericARM_DIE_ID_BASE + 4);
    dev_rev     = ((*intPtr) & 0x1e0000) >> 17;
    intPtr      = (unsigned int *) (GenericARM_PROD_ID_BASE + 4);
    prod_id     = ((*intPtr) & 0x1fffe) >> 1;
    intPtr      = (unsigned int *) GenericARM32_ID_BASE;
    omap32_id   = *intPtr;
}
