#include <sys/mmu.h>
#include <sys/asm_linkage.h>
#include "SPARCasmutil.h"


/* 1.6 uSec minimum recover time */

#define ZSDELAY() \
	mov 10, %o5; \
0:	subcc %o5, 1, %o5; \
	bnz 0b; \
	nop;

! Serial port control routines.
	.text
	.align 4
	.globl zswritereg
/* zswritereg(addr, reg, data) */
zswritereg:
	stb %o1, [%o0]
	ZSDELAY();
	stb %o2, [%o0]
	ZSDELAY();
	retl;
	nop;

/* char zsreadreg(addr, reg) */
	.text
	.align 4
	.globl zsreadreg
zsreadreg:
	stb %o1, [%o0]	! write control
	ZSDELAY();
	ldub [%o0], %o0
	ZSDELAY();
	retl
	nop

/* zswritedata(addr, data) */
	.text
	.align 4
	.globl zswritedata
zswritedata:
	stb %o1, [%o0]
	ZSDELAY();
	retl;
	nop;

/* char zsreaddata(char *addr), */
	.text
	.align 4
	.globl zsreaddata
zsreaddata:
	ldub [%o0], %o0
	ZSDELAY();
	retl;
	nop;
