/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *               University of Illinois at Urbana-Champaign
 *               Department of Computer Science
 *               1304 W. Springfield Ave.
 *               Urbana, IL     61801
 *
 * Copyright (c) 1987-1992
 * The University of Illinois Board of Trustees.
 *      All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

/*
 * It would be nice if this were aligned on a page boundary, but it's hard
 *   to do and it doesn't matter much if a little more code is readable
 *   by applications.  I could put in a pad of 4096 bytes after the symbol
 *   to make sure no interesting code is application-readable, but why
 *   bother.
 */

	.text
	.align 4
	.globl	_KernelReadOnlyEnd
_KernelReadOnlyEnd:
	.long .
	.align 4
_KernelReadOnlyEndPad:
	.space 4096
