/*
 * crt0.s: C++ language startup code.
 */

/*
 * Entry point of first Process.
 */
#define _start _vcstart
	.text
	.globl	_start
_start:

#if 0
	push	%eax		/* save pointer to TheSystemInterface */

	movl	etext-4, %eax	/* page in last page so debugger can find it */


	call	_Start		/* Call _Start to initialize nameserver, etc. */
	add	$4, %esp	/* skip parameter */

	add	$4, %esp	/* skip the default return address */
				/*  and expose the two arguments */
#endif

//EMCHAN
#if 0
	call	main		/* call user's main(arg0, arg1) */
	add	$8, %esp	/* Discard arguments */
#endif

_die:
//EMCHAN
#if 0
	push	%eax		/* call exit */
	call	exit		/* should NEVER return! */
	pop	%eax		/* but just in case... */
	jmp	_die
#endif

	.globl	_defaultReturn
_defaultReturn:
//EMCHAN
#if 0
	push	%eax		/* kill Process. */
	hlt
	pop	%eax		/* but just in case... */
	jmp	_defaultReturn
#endif

	.globl __fltused  /* defined to show that floating point is ok */
__fltused:

	.globl __main     /* defined for g++. Not used by Choices */
__main:
	bl __main

