#ifdef __GNUC__
#pragma implementation
#endif

/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1990 The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 *
 * Author: Amit Parghi (parghi@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */

/*
 *	NetworkMisc.cc
 *
 *	$Id: NetworkStatistics.cc 2 2004-06-03 01:58:28Z jcarlyle $
 *
 * $Log: NetworkStatistics.cc,v $
 * Revision 1.1  2004/06/03 01:58:57  jcarlyle
 * Initial revision
 *
 * Revision 1.1  91/04/14  23:03:25  parghi
 * Initial revision
 * 
 *
 */

#include "NetworkStatistics.h"


#ifdef __GNUC__
#pragma implementation
#endif


NetworkStatistics::NetworkStatistics()
{
	transmitPacketCount = receivePacketCount = 0;
	transmitOctetCount = receiveOctetCount = 0;
	droppedPacketCount = 0;
	errorCount = 0;
}

