#ifdef __GNUC__
#pragma implementation
#endif

/*
 * This file is part of the Choices Operating System
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987-1992
 * The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
/*
 * SPARCPhysicalMemoryObject.c - memory object class to access physical memory.
 */

#include "SPARCPhysicalMemoryObject.h"


#ifdef __GNUC__
#pragma implementation
#endif

SPARCPhysicalMemoryObject thePhysicalMemoryObject;
MemoryObjectStar ThePhysicalMemoryObject = &thePhysicalMemoryObject;

extern "C" {
   void PhysCopyBlock(unsigned char *, unsigned char *, int);
};

void
SPARCPhysicalMemoryObject::copyBlock( const char * psrc,
				 const char * pdst,
				 unsigned int count )
{
	PhysCopyBlock( (unsigned char *) psrc, (unsigned char *) pdst, count);
}

#include "ClassInstaller.h"
DEFINECLASS("SPARCPhysicalMemoryObject",SPARCPhysicalMemoryObject,PhysicalMemoryObject,0,0);
