
main(int argc, char *argv[])
{
	extern int atoi(char *);
	int count;
	int i;
	int status;
	int waitforchild;
	int waitstatus;
	int waitoptions;

	waitforchild = 0;
	waitstatus = 0;
	waitoptions = 0;

	if (argc == 1)
		count = 1;
	else {
		count = atoi(argv[1]);
		if (count == 0) count = 1;
	}
	if (argc == 3) {
		if (argv[2][0] == 'w')
			waitforchild = 1;
	}

	for( i = 1; i <= count; i++ ) {
		printf("forking %d\n", i);
		status = fork();
		if (status == 0) {
			printf("Child %d\n", i);
			break;
		} else if (status == -1) {
			printf("Error %d\n", i);
			break;
		} else {
			printf("Parent %d child number %x\n", i, status);
			if (waitforchild) {
				printf("Waiting for child %d to complete\n", i);
				waitpid(status, &waitstatus, waitoptions);
				printf("Child %d has died\n", i);
			}
		}
	}
}
