#ifndef REQUEST_H
#define REQUEST_H

#include "iod_32.h"
#include "tools.h"

typedef struct iod_msg IodMsg;

typedef struct _Request {
 	IodMsg	msg; 
        int     send_size;
        int     reply_size;
} Request;

#define MAX_TIME 10000
extern int max_time;
extern int time_max;
extern int time_scale;
extern int t_region();

struct statistics {
  int sum;
  int count;
  int max;
  int min;
  double sum_sqr;
};

double std_dev_stat();
double mean_stat();

#endif   /* REQUEST_H   */
